

local _, namespace = ...

local L = setmetatable({
["MOVE_CASTING_BAR"] = "Move Casting Bar",
["CASTING_BAR_FRAME_MOVER"] = "Casting Bar Frame Mover",
["UNKNOWN"] = "Unknown",
["STOLE"] = "Stole:",
["PERIODIC"] = "(Periodic)",
["MELEE_SWING"] = "Melee Swing",
["AUTO_SHOT"] = "Auto Shot",
["PARALYSIS_BROKEN_MESSAGE"] = "Paralysis broken by",
["PARALYSIS_EXPIRED_MESSAGE"] = "Paralysis expired on",
["PARALYSIS_APPLIED_MESSAGE"] = "Paralysis casted on",
["PARALYSIS_TIMER"] = "Paralysis Timer",
["WITH"] = "with",
["RELOADUI"] = "Monk Helper Needs To Reload \nThe UI To Finish Making Changes.",
["SLASH"] = "Monk Helper Slash Commands:\n/mh => Options Menu \n/monkhelper => Options Menu",

--Options Menu--
["SHOW_MINIMAP_BUTTON"] = "Show Minimap Button",
["SCALE"] = "Scale",
["MINIMAP_BUTTON_SHOW"] = "Show Minimap Button",
["LOCK_FRAMES"] = "Lock Frames",
["HIDE_FRAMES"] = "Hide Frames When Not In Combat",
["SHOW_ALL_FRAMES"] = "Show All Frames",
["LOCK_FRAMES"] = "Lock Frames",
["OKAY"] = "Okay",
["CANCEL"] = "Cancel",
["DEFAULTS"] = "Defaults",
["APPLY"] = "Apply",
["TEST"] = "Test",
["NEW"] = "New",
["LOAD"] = "Load",
["DELETE"] = "Delete",
["DELETE_WARNING"] = "Are You Sure You Want To Delete \n This Profile? \n\n ",
["PROFILE"] = "Profile - ",
["PROFILE_NOT_FOUND"] = "Profile Not Found: ",
["PROFILE_LOADED"] = "Profile Loaded: ",
["PROFILE_CREATED"] = "Profile Created: ",
["PROFILE_SAVED"] = "Profile Saved: ",
["PROFILE_DELETED"] = "Profile Deleted: ",
["PROFILE_ALREADY_EXISTS"] = "A Profile With That Name Already Exists",
["BAD_PROFILE_NAME"] = "Please Enter A Profile Name",
["DEFAULTS_WARNING"] = "Warning!!! This Will Reset All \nSettings In The Loaded Profile \nBack To The Defaults. \nAre You Sure?",
["BAR_STYLE"] = "Bar Style",
["SMALL_BAR_STYLE"] = "Small Bar Style",
["COOLDOWN_STYLE"] = "Cooldown Style",
["ENABLE_SOUND_EFFECT"] = "Enable Sound",
["SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)",

--Paralysis Menu--
["MONITOR"] = "Monitor",
["PARALYSIS_MONITOR"] = "Paralysis Monitor",
["ENABLE_PARALYSIS_MONITOR"] = "Enable Paralysis Monitor",
["SHOW_PARALYSIS_TIMER"] = "Show Paralysis Timer",
["PARALYSIS_APPLY_SHOW"] = "Display Notification When Paralysis Is Applied",
["PARALYSIS_REMOVE_SHOW"] = "Display Notification When Paralysis Is Removed",
["PARALYSIS_ANNOUNCE_SHOW"] = "Announce Enabled Notifications When In A Group",

-- Resource Bar 
["HEALTH_BAR_STAGGER"] = "Show Staggered Damage (Brewmaster)",
["CHI_BAR_SCALE"] = "Chi Bar Scale",
["ENABLE_CHI_BAR"] = "Enable Chi Bar",
["CHI_BAR_BACKGROUND"] = "Show Chi Bar Background",
["ENABLE_LOW_MANA_SOUND_EFFECT"] = "Enable Low Mana Sound Effect",
["ENABLE_HEALTH_BAR_TOOLTIP"] = "Requires Resource Bar to be enabled.", 
["RESOURCE_BAR"] = "Resource Bar",
["ENABLE_RESOURCE_BAR"] = "Enable Resource Bar",
["ENABLE_HEALTH_BAR"] = "Enable Health Bar",
["RESOURCE_BAR_MARKER_SHOW"] = "Show Resource Bar Marker",
["HEALTH_BAR_PERCENT"] = "Show Health Bar Text As A Percent",
["HEALTH_BAR_NUMBER"] = "Show Health Bar Text As A Number",
["RESOURCE_BAR_PERCENT"] = "Show Resource Bar Text As A Percent",
["RESOURCE_BAR_NUMBER"] = "Show Resource Bar Text As A Number",
["RESOURCE_BAR_WIDTH"] = "Resource Bar & Health Bar Width",
["RESOURCE_BAR_HEIGHT"] = "Resource Bar Height",
["HEALTH_BAR_HEIGHT"] = "Health Bar Height",
["RESOURCE_BAR_SCALE"] = "Resource Bar & Health Bar Scale",
["RESOURCE_BAR_RESERVE_SHOW"] = "Show Resource Bar Reserve Marker",
["RESOURCE_BAR_RESERVE_SHOW_TOOLTIP"] = "This value also lets the resource bar know how much resource \nyou want to put aside for other spells, if you plan \non running it low. (Like spamming heals in PVP)\n\nThe resource bar will flash red when below this value. \n(Doesn't have to be shown for the reserve function to work)",
["HEALTH_BAR_MAX"] = "Show Maximum Health",
["RESOURCE_BAR_MAX"] = "Show Maximum Resource",
["RESOURCE_BAR_TEXT_HEIGHT"] = "Resource Bar Text Size",
["HEALTH_BAR_TEXT_HEIGHT"] = "Health Bar Text Size",
["LOW_MANA"] = "Low Mana!",

--Timers Menu--
["COMBO_BREAKER_TIGER_PALM"] = GetSpellInfo(118864),
["COMBO_BREAKER_BLACKOUT_KICK"] = GetSpellInfo(116768),
--["COMBO_BREAKER_CHI_EXPLOSION"] = GetSpellInfo(159407),
["DURATION"] = "Duration",
["BUFF"] = "Buff",
["MISSING"] = "Missing",
["FAILED_TO_UPDATE_COOLDOWN"] = "failed to update the cooldown of:",
["TIMERS"] = "Timers",
["READY"] = "Ready!",
["COOLDOWN"] = "Cooldown",
["TIMER"] = "Timer",
["RISING_SUN_KICK"] = "Rising Sun Kick",
["TOUCH_OF_KARMA"] = "Touch Of Karma",
["ENERGIZING_BREW"] = "Energizing Brew",
["TIGER_POWER"] = "Tiger Power",
["FLYING_SERPENT_KICK"] = "Flying Serpent Kick",
["RENEWING_MIST"] = "Renewing Mist",
["KEG_SMASH"] = "Keg Smash",
["THUNDER_FOCUS_TEA"] = "Thunder Focus Tea",
["SERPENTS_ZEAL"] = "Serpent's Zeal",
["FISTS_OF_FURY"] = "Fists Of Fury",
["GUARD"] = "Guard",
["SHUFFLE"] = "Shuffle",
["EXPEL_HARM"] = "Expel Harm",
["TIGERS_LUST"] = "Tiger's Lust",
["CHI_BREW"] = "Chi Brew",
["RING_OF_PEACE"] = "Ring Of Peace",
["DIFFUSE_MAGIC"] = "Diffuse Magic",
["DETOX"] = "Detox",
["ROLL"] = "Roll",
["ZEN_PILGRIMAGE"] = "Zen Pilgrimage",
["PROVOKE"] = "Provoke",
["TOUCH_OF_DEATH"] = "Touch Of Death",
["SPEAR_HAND_STRIKE"] = "Spear Hand Strike",
["ZEN_MEDITATION"] = "Zen Meditation",
["TRANSCENDENCE"] = "Transcendence",
["TRANSCENDENCE_TRANSFER"] = "Transcendence: Transfer",
["VITAL_MISTS"] = "Vital Mists",
["BLACKOUT_KICK"] = "Blackout Kick!",
["TIGER_PALM"] = "Tiger Palm!",
["XUEN"] = "Xuen",
["PARALYSIS"] = "Paralysis",
["ELUSIVE_BREW"] = "Elusive Brew",
["TIGEREYE_BREW"] = "Tigereye Brew",
["MANA_TEA"] = "Mana Tea",

--Trackers menu
["REMOVED"] = "Removed: ",
["OUT_OF_RANGE"] = "Out Of Range!",
["STAGGER_TRACKER_NUMBER"] = "Show Stagger Amount As A Number",
["STAGGER_TRACKER_PERCENT"] = "Show Stagger Amount As A Percent",
["TRACKERS"] = "Trackers",
["STAGGER"] = "Stagger",
["TRACKER"] = "Tracker",
["DETOX_TRACKER_TOOLTIP"] = "Displays a class icon for each player in your group \nthat will glow when someone is diseased or\npoisoned. Simply click the icon to dispel that person.\n\nThe units can only be safely loaded out of combat \ndue to the way taint works. Any units that fail to \nload in combat will be loaded upon leaving combat.\nThe same goes for changing the size or turning it on/off.\n\nHold CTRL to click through the units and drag \nthe frame easier.",

--Notifications menu
["TOUCH_OF_DEATH_NOTIFICATION_TOOLTIP"] = "Displays a visual notification to let you \nknow when you can cast Touch Of Death \non your target and have enough chi to do so.",
["FINISH_THEM"] = "Finish Them",
["NOTIFICATIONS"] = "Notifications",
["TRANSCENDENCE_TRANSFER"] = "Transcendence: Transfer",
["NOTIFICATION"] = "Notification",
["ENABLE"] = "Enable",
["SOUND"] = "Sound",


}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE:match("^en") then
return end

if LOCALE == "deDE" then
	-- German translations go here

return end

if LOCALE == "frFR" then
	-- French translations go here

return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here

return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here

return end

if LOCALE == "ruRU" then
	-- Russian translations go here

return end

if LOCALE == "koKR" then
	-- Korean translations go here

return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here

return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here

return end
