_, class = UnitClass("player")
if class == "MONK" then

local ADDON_NAME, namespace = ...
local L = namespace.L

local transfertimer = 0

function MonkHelper_NotificationsOnUpdate(elapsed)

--transfertimer = transfertimer + elapsed
--if transfertimer >= 0.1 then
--transfertimer = transfertimer - 0.1
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfernotification == 1 then
--if MHtimerbypass == 0 and IsSpellInRange("Transcendence: Transfer", "Transcendence Spirit") == 0 then
--MHTranscendenceTransferNotification:Show()
--elseif MHtimerbypass == 0 then
--MHTranscendenceTransferNotification:Hide()
--end
--end
--end

end

function MonkHelper_CreateNotificationsUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

CreateFrame("Frame", "MHTouchOfDeathNotification", UIParent)

MHTouchOfDeathNotification:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MHtimerbypass == 0 then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofdeathnotification == true then

if (event == "UNIT_HEALTH" and arg1 == "target") or event == "PLAYER_TARGET_CHANGED" or (event == "UNIT_POWER_FREQUENT" and arg1 == "player") then
local expire, cd = GetSpellCooldown(MHSpellID["MHTouchOfDeathTimer"])
if cd == nil then cd = 0 end
if expire == nil then expire = 0 end
if UnitIsPlayer("target") == true and UnitReaction("player", "target") ~= nil then
if cd <= 1 and ((UnitHealth("target") / UnitHealthMax("target")) <= 0.1) and UnitHealth("target") > 0 and UnitReaction("player", "target") <= 4 and IsUsableSpell(MHSpellID["MHTouchOfDeathTimer"]) == true then
MHTouchOfDeathNotification:Show()
else
MHTouchOfDeathNotification:Hide()
end
elseif UnitIsPlayer("target") == false and UnitReaction("player", "target") ~= nil then
if cd <= 1 and UnitHealth("target") < UnitHealthMax("player") and UnitHealth("target") > 0 and UnitReaction("player", "target") <= 4 and IsUsableSpell(MHSpellID["MHTouchOfDeathTimer"]) == true then 
MHTouchOfDeathNotification:Show()
else
MHTouchOfDeathNotification:Hide()
end
else
MHTouchOfDeathNotification:Hide()
end
end

else
MHTouchOfDeathNotification:Hide()
end
end
end)

MHTouchOfDeathNotification:RegisterEvent("UNIT_POWER_FREQUENT")
MHTouchOfDeathNotification:RegisterEvent("UNIT_HEALTH")
MHTouchOfDeathNotification:RegisterEvent("PLAYER_TARGET_CHANGED")

MHTouchOfDeathNotification:SetPoint("CENTER")
MHTouchOfDeathNotification:SetWidth(165)
MHTouchOfDeathNotification:SetHeight(40)
MHTouchOfDeathNotificationBG = MHTouchOfDeathNotification:CreateTexture("$parentBG", "BACKGROUND")
MHTouchOfDeathNotificationBG:SetTexture(0, 0, 0, 0.8)
MHTouchOfDeathNotificationBG:SetAllPoints()
MHTouchOfDeathNotificationText = MHTouchOfDeathNotification:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHTouchOfDeathNotificationText:SetTextColor(1, 1, 1)
MHTouchOfDeathNotificationText:SetWidth(115)
MHTouchOfDeathNotificationText:SetTextHeight(16)
MHTouchOfDeathNotificationText:SetText("|cFFFF0000 "..L["FINISH_THEM"].."!|r")
MHTouchOfDeathNotification:CreateTexture("$parentIcon")
MHTouchOfDeathNotificationIcon:SetWidth(38)
MHTouchOfDeathNotificationIcon:SetHeight(38)
MHTouchOfDeathNotificationIcon:SetPoint("LEFT", MHTouchOfDeathNotification, "LEFT", 1, 0)
MHTouchOfDeathNotificationIcon:SetTexture("Interface\\Icons\\ability_monk_touchofdeath")
MHTouchOfDeathNotificationText:SetPoint("LEFT", MHTouchOfDeathNotificationIcon, "RIGHT", 3, 0)
MHTouchOfDeathNotification:Hide()





--MonkHelper_CreateTimer("MHTranscendenceTransferNotification", "CENTER", UIParent, "CENTER", -200, 135)
--MHTranscendenceTransferNotificationIcon:SetTexture("Interface\\Icons\\spell_shaman_spectraltransformation")
--MHTranscendenceTransferNotificationText:SetText("|cFFFF0000"..L["OUT_OF_RANGE"].."|r")

MonkHelper_SetupFrame(MHTouchOfDeathNotification)

end

function MonkHelper_CreateNotificationsOptionsMenu()

--Notifications---------------------------------------------------------------
MonkHelper.notifications = CreateFrame("Frame", "MHNotificationsOptions", MHOptionsFrame)
MonkHelper.notifications:SetWidth(625)
MonkHelper.notifications:SetHeight(570)
MonkHelper.notifications:SetPoint("LEFT", MHOptionsFrameButtons, "RIGHT", 5, 0)
MonkHelper.notifications.name = L["NOTIFICATIONS"]
MonkHelper.notifications:SetFrameLevel(4)

MHNotificationsScrollFrame = CreateFrame("ScrollFrame", "MHNotificationsScrollFrame", MonkHelper.notifications)
MHNotificationsScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MHNotificationsScrollFrame:SetPoint("BOTTOMRIGHT", -15, 15) 

MHNotificationsContent = CreateFrame("Frame", "MHNotificationsContent", MHNotificationsScrollFrame)
MHNotificationsContent:SetPoint("CENTER")
MHNotificationsContent:SetWidth(580)
MHNotificationsContent:SetHeight(4000)
MHNotificationsScrollFrame:SetScrollChild(MHNotificationsContent)

MHNotificationsScroll = CreateFrame("Slider", "MHNotificationsScroll", MHNotificationsScrollFrame, "UIPanelScrollBarTemplate")
MHNotificationsScroll:CreateTexture("$parentBG")
MHNotificationsScrollBG:SetWidth(16)
MHNotificationsScrollBG:SetHeight(445)
MHNotificationsScrollBG:SetPoint("CENTER", -0.5, 0)
MHNotificationsScrollBG:SetTexture(0.2, 0.2, 0.2, 0.5)
MHNotificationsScroll:SetOrientation("VERTICAL")
MHNotificationsScroll:SetWidth(20)
MHNotificationsScroll:SetHeight(450)
MHNotificationsScroll:SetPoint("RIGHT", MonkHelper.notifications, "RIGHT", -5, 0)
MHNotificationsScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHNotificationsScroll:SetValueStep(20)
MHNotificationsScroll:SetValue(0)
MHNotificationsContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHNotificationsScroll:GetValue()
if delta > 0  then
MHNotificationsScroll:SetValue(scroll - MHNotificationsScroll:GetValueStep())
elseif delta < 0 then
MHNotificationsScroll:SetValue(scroll + MHNotificationsScroll:GetValueStep())
end
end)

x = 50
y = 0
local spacey, scaley = 60, 50

--y = y - 20
--CreateFrame("CheckButton", "MHTranscendenceTransferNotificationShow", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
--MHTranscendenceTransferNotificationShow:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
--MHTranscendenceTransferNotificationShowText:SetText(L["TRANSCENDENCE_TRANSFER"].." "..L["NOTIFICATION"])
--MHTranscendenceTransferNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfernotification)
--MHTranscendenceTransferNotificationShow:CreateTexture("$parentIcon")
--MHTranscendenceTransferNotificationShowIcon:SetTexture("Interface\\Icons\\spell_shaman_spectraltransformation")
--MHTranscendenceTransferNotificationShowIcon:SetWidth(32)
--MHTranscendenceTransferNotificationShowIcon:SetHeight(32)
--MHTranscendenceTransferNotificationShowIcon:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x - 41, y + 4)
--y = y - scaley
--CreateFrame("Slider","MHTranscendenceTransferNotificationScale", MHNotificationsContent)
--MHTranscendenceTransferNotificationScale:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
--MHTranscendenceTransferNotificationScale:SetWidth(300)
--MHTranscendenceTransferNotificationScale:SetHeight(20)
--MHTranscendenceTransferNotificationScale:SetOrientation("HORIZONTAL")
--MHTranscendenceTransferNotificationScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
--MHTranscendenceTransferNotificationScale:SetMinMaxValues(0.5,2)
--MHTranscendenceTransferNotificationScale:SetBackdrop({
--      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
--      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
--      tile = true, tileSize = 8, edgeSize = 8,
--      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
--	 
--MHTranscendenceTransferNotificationScale:SetScript("OnValueChanged", function (self, value) MHTranscendenceTransferNotificationScaleValue:SetText(string.sub(value, 1, 4)) MHTranscendenceTransferNotification:SetScale(value) end)
--MHTranscendenceTransferNotificationScaleHeader = MHNotificationsContent:CreateFontString("MHTranscendenceTransferNotificationScaleHeader", "OVERLAY", "GameFontNormal")
--MHTranscendenceTransferNotificationScaleHeader:SetPoint("BOTTOMLEFT", MHTranscendenceTransferNotificationScale, "TOPLEFT")
--MHTranscendenceTransferNotificationScaleHeader:SetText(L["SCALE"])
--MHTranscendenceTransferNotificationScaleValue = MHNotificationsContent:CreateFontString("MHTranscendenceTransferNotificationScaleValue", "OVERLAY", "GameFontNormal")
--MHTranscendenceTransferNotificationScaleValue:SetPoint("BOTTOMRIGHT", MHTranscendenceTransferNotificationScale, "TOPRIGHT")
--MHTranscendenceTransferNotificationScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetransfernotification, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MHTouchOfDeathNotificationShow", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
MHTouchOfDeathNotificationShow:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHTouchOfDeathNotificationShowText:SetText(L["TOUCH_OF_DEATH"].." "..L["NOTIFICATION"])
MHTouchOfDeathNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofdeathnotification)
MHTouchOfDeathNotificationShow:CreateTexture("$parentIcon")
MHTouchOfDeathNotificationShowIcon:SetTexture("Interface\\Icons\\ability_monk_touchofdeath")
MHTouchOfDeathNotificationShowIcon:SetWidth(32)
MHTouchOfDeathNotificationShowIcon:SetHeight(32)
MHTouchOfDeathNotificationShowIcon:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x - 41, y + 4)
MHTouchOfDeathNotificationShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["TOUCH_OF_DEATH_NOTIFICATION_TOOLTIP"])
GameTooltip:Show()
end)
MHTouchOfDeathNotificationShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
CreateFrame("Slider","MHTouchOfDeathNotificationScale", MHNotificationsContent)
MHTouchOfDeathNotificationScale:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHTouchOfDeathNotificationScale:SetWidth(300)
MHTouchOfDeathNotificationScale:SetHeight(20)
MHTouchOfDeathNotificationScale:SetOrientation("HORIZONTAL")
MHTouchOfDeathNotificationScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTouchOfDeathNotificationScale:SetMinMaxValues(0.5,2)
MHTouchOfDeathNotificationScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTouchOfDeathNotificationScale:SetScript("OnValueChanged", function (self, value) MHTouchOfDeathNotificationScaleValue:SetText(string.sub(value, 1, 4)) MHTouchOfDeathNotification:SetScale(value) end)
MHTouchOfDeathNotificationScaleHeader = MHNotificationsContent:CreateFontString("MHTouchOfDeathNotificationScaleHeader", "OVERLAY", "GameFontNormal")
MHTouchOfDeathNotificationScaleHeader:SetPoint("BOTTOMLEFT", MHTouchOfDeathNotificationScale, "TOPLEFT")
MHTouchOfDeathNotificationScaleHeader:SetText(L["SCALE"])
MHTouchOfDeathNotificationScaleValue = MHNotificationsContent:CreateFontString("MHTouchOfDeathNotificationScaleValue", "OVERLAY", "GameFontNormal")
MHTouchOfDeathNotificationScaleValue:SetPoint("BOTTOMRIGHT", MHTouchOfDeathNotificationScale, "TOPRIGHT")
MHTouchOfDeathNotificationScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtouchofdeathnotification, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - (spacey * 2)
x = 15
CreateFrame("CheckButton", "MHEnableTigerPalmSound", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
MHEnableTigerPalmSound:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHEnableTigerPalmSoundText:SetText(L["ENABLE"].." "..L["COMBO_BREAKER_TIGER_PALM"].." "..L["SOUND"])
MHEnableTigerPalmSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbtigerpalm)
----------------------------------------------------------------------------------------------
y = y - 20
CreateFrame("CheckButton", "MHEnableBlackoutKickSound", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
MHEnableBlackoutKickSound:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHEnableBlackoutKickSoundText:SetText(L["ENABLE"].." "..L["COMBO_BREAKER_BLACKOUT_KICK"].." "..L["SOUND"])
MHEnableBlackoutKickSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.cbblackoutkick)
----------------------------------------------------------------------------------------------
y = y - 20
CreateFrame("CheckButton", "MHEnableVitalMistsSound", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
MHEnableVitalMistsSound:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHEnableVitalMistsSoundText:SetText(L["ENABLE"].." "..L["VITAL_MISTS"].."(5) "..L["SOUND"])
MHEnableVitalMistsSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.vitalmists)
----------------------------------------------------------------------------------------------
y = y - 20
CreateFrame("CheckButton", "MHEnableTouchOfDeathSound", MHNotificationsContent, "ChatConfigCheckButtonTemplate")
MHEnableTouchOfDeathSound:SetPoint("TOPLEFT", MHNotificationsContent, "TOPLEFT", x, y)
MHEnableTouchOfDeathSoundText:SetText(L["ENABLE"].." "..L["TOUCH_OF_DEATH"].." "..L["SOUND"])
MHEnableTouchOfDeathSound:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.touchofdeath)


MonkHelper.notifications:Hide()
--------------------------------------------------------------------------------
MHNotificationsScroll:SetMinMaxValues(0, (abs(y)/60)*50 + 200)
MHNotificationsScroll:SetValue(0)
end


end