_, class = UnitClass("player")
if class == "MONK" then

local ADDON_NAME, namespace = ...
local L = namespace.L

local MHTimers = {}

local MHCooldownCheck = {}

MHTimerList = {
[107428] = true,
[124280] = true,
[115288] = true,
[125359] = true,
[101545] = true,
[115151] = true,
[121253] = true,
[116680] = true,
[127722] = true,
[113656] = true,
[115295] = true,
[115307] = true,
[115072] = true,
[116841] = true,
[115399] = true,
[116844] = true,
[122783] = true,
[123904] = true,
[115450] = true,
[109132] = true,
[115546] = true,
[115080] = true,
[116705] = true,
[131523] = true,
[101643] = true,
[119996] = true,
[118674] = true,
[116768] = true,
[118864] = true,
[115078] = true,
[125195] = true,
[128939] = true,
[115867] = true,
}

MHSpellID = {
["MHTouchOfDeathTimer"] = 115080, -- save for monitor
["MHTigerPowerTimer"] = 125359,
["MHSerpentsZealTimer"] = 127722,
["MHShuffleTimer"] = 115307,
["MHVitalMistsTimer"] = 118674,
["MHBlackoutKickTimer"] = 116768,
["MHTigerPalmTimer"] = 118864,
["MHTouchOfKarmaTimer"] = 124280,
["MHDiffuseMagicTimer"] = 122783,
["MHZenMeditationTimer"] = 131523, -- Channel time(buff spell id is different from spell cast id)
["MHFlyingSerpentKickTimer"] = 101545,
["MHRisingSunKickTimer"] = 107428,
["MHRenewingMistTimer"] = 115151,
["MHKegSmashTimer"] = 121253,
["MHFistsOfFuryTimer"] = 113656,
["MHGuardTimer"] = 115295,
["MHChiBrewTimer"] = 115399,
["MHDetoxTimer"] = 115450,
["MHRollTimer"] = 109132,
["MHTranscendenceTimer"] = 101643,
["MHTranscendenceTransferTimer"] = 119996,
["MHTigersLustTimer"] = 116841, 
["MHProvokeTimer"] = 115546,
["MHSpearHandStrikeTimer"] = 116705,
["MHExpelHarmTimer"] = 115072,
["MHEnergizingBrewTimer"] = 115288,
["MHThunderFocusTeaTimer"] = 116680,
["MHInvokeXuenTimer"] = 123904,
["MHRingOfPeaceTimer"] = 116844,
["MHParalysisTimer"] = 115078,
["MHTigereyeBrewTimer"] = 125195,
["MHElusiveBrewTimer"] = 128939,
["MHManaTeaTimer"] = 115867,

}

MHTrackers = {
["MHTigerPowerTimer"] = true,
["MHShuffleTimer"] = true,
["MHTigereyeBrewTimer"] = true,
["MHElusiveBrewTimer"] = true,
["MHManaTeaTimer"] = true,
}

MHKeepShown = {

["MHFlyingSerpentKickTimer"] = true,
["MHRisingSunKickTimer"] = true,
["MHRenewingMistTimer"] = true,
["MHKegSmashTimer"] = true,
["MHFistsOfFuryTimer"] = true,
["MHGuardTimer"] = true,
["MHChiBrewTimer"] = true,
["MHDetoxTimer"] = true,
["MHTigerPowerTimer"] = true, -- buff tracker
["MHShuffleTimer"] = true, -- buff tracker
["MHRollTimer"] = true,
["MHTranscendenceTimer"] = true,
["MHTranscendenceTransferTimer"] = true,
["MHTigersLustTimer"] = true, 
["MHProvokeTimer"] = true,
["MHSpearHandStrikeTimer"] = true,
["MHExpelHarmTimer"] = true,
["MHEnergizingBrewTimer"] = true,
["MHThunderFocusTeaTimer"] = true,
["MHParalysisTimer"] = true,
["MHTigereyeBrewTimer"] = true,
["MHElusiveBrewTimer"] = true,
["MHManaTeaTimer"] = true,

}

MHChargeList = {
["MHChiBrewTimer"] = true,
["MHRollTimer"] = true,

}

function test()
for idx = 1, #MHTimers do
print(MHTimers[idx].frame, MHTimers[idx].exists)
end
end

function MonkHelper_SetCooldown(spellid, cd, count, cdmax, maxcharges)
if spellid == MHSpellID["MHRisingSunKickTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrisingsunkicktimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrisingsunkicktimer == 3 then
MHRisingSunKickTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHRisingSunKickTimer", cd)
MHRisingSunKickTimerBar:SetMinMaxValues(0, cdmax)
MHRisingSunKickTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHFlyingSerpentKickTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhflyingserpentkicktimer == 3 then
MHFlyingSerpentKickTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHFlyingSerpentKickTimer", cd)
MHFlyingSerpentKickTimerBar:SetMinMaxValues(0, cdmax)
MHFlyingSerpentKickTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHRenewingMistTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrenewingmisttimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrenewingmisttimer == 3 then
MHRenewingMistTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHRenewingMistTimer", cd)
MHRenewingMistTimerBar:SetMinMaxValues(0, cdmax)
MHRenewingMistTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHKegSmashTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhkegsmashtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhkegsmashtimer == 3 then
MHKegSmashTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHKegSmashTimer", cd)
MHKegSmashTimerBar:SetMinMaxValues(0, cdmax)
MHKegSmashTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHFistsOfFuryTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhfistsoffurytimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhfistsoffurytimer == 3 then
MHFistsOfFuryTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHFistsOfFuryTimer", cd)
MHFistsOfFuryTimerBar:SetMinMaxValues(0, cdmax)
MHFistsOfFuryTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHGuardTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhguardtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhguardtimer == 3 then
MHGuardTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHGuardTimer", cd)
MHGuardTimerBar:SetMinMaxValues(0, cdmax)
MHGuardTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHChiBrewTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibrewtimerc == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhchibrewtimer == 3 then
if maxcharges ~= true then
MHChiBrewTimerCooldown:SetCooldown(GetTime(), cd)
end
end
if maxcharges ~= true then
MonkHelper_NewTime("MHChiBrewTimer", cd)
MHChiBrewTimerBar:SetMinMaxValues(0, cdmax)
end
MHChiBrewTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHDetoxTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdetoxtimer == 3 then
MHDetoxTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHDetoxTimer", cd)
MHDetoxTimerBar:SetMinMaxValues(0, cdmax)
MHDetoxTimerCount:SetText(count)
end
MonkHelper_UpdateDetoxTrackerCooldowns(cd)

elseif spellid == MHSpellID["MHRollTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrolltimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhrolltimer == 3 then
if maxcharges ~= true then
MHRollTimerCooldown:SetCooldown(GetTime(), cd)
end
end
if maxcharges ~= true then
MonkHelper_NewTime("MHRollTimer", cd)
MHRollTimerBar:SetMinMaxValues(0, cdmax)
end
MHRollTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHTranscendenceTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetimer == 3 then
MHTranscendenceTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHTranscendenceTimer", cd)
MHTranscendenceTimerBar:SetMinMaxValues(0, cdmax)
MHTranscendenceTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHTranscendenceTransferTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfertimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtranscendencetransfertimer == 3 then
MHTranscendenceTransferTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHTranscendenceTransferTimer", cd)
MHTranscendenceTransferTimerBar:SetMinMaxValues(0, cdmax)
MHTranscendenceTransferTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHTigersLustTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerslusttimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerslusttimer == 3 then
MHTigersLustTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHTigersLustTimer", cd)
MHTigersLustTimerBar:SetMinMaxValues(0, cdmax)
MHTigersLustTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHProvokeTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhprovoketimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhprovoketimer == 3 then
MHProvokeTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHProvokeTimer", cd)
MHProvokeTimerBar:SetMinMaxValues(0, cdmax)
MHProvokeTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHSpearHandStrikeTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhspearhandstriketimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhspearhandstriketimer == 3 then
MHSpearHandStrikeTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHSpearHandStrikeTimer", cd)
MHSpearHandStrikeTimerBar:SetMinMaxValues(0, cdmax)
MHSpearHandStrikeTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHExpelHarmTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhexpelharmtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhexpelharmtimer == 3 then
MHExpelHarmTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHExpelHarmTimer", cd)
MHExpelHarmTimerBar:SetMinMaxValues(0, cdmax)
MHExpelHarmTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHEnergizingBrewTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhenergizingbrewtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhenergizingbrewtimer == 3 then
MHEnergizingBrewTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHEnergizingBrewTimer", cd)
MHEnergizingBrewTimerBar:SetMinMaxValues(0, cdmax)
MHEnergizingBrewTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHThunderFocusTeaTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhthunderfocusteatimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhthunderfocusteatimer == 3 then
MHThunderFocusTeaTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHThunderFocusTeaTimer", cd)
MHThunderFocusTeaTimerBar:SetMinMaxValues(0, cdmax)
MHThunderFocusTeaTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHParalysisTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysistimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhparalysistimer == 3 then
MHParalysisTimerCooldown:SetCooldown(GetTime(), cd)
end
MonkHelper_NewTime("MHParalysisTimer", cd)
MHParalysisTimerBar:SetMinMaxValues(0, cdmax)
MHParalysisTimerCount:SetText(count)
end

end
end

local flash, flashdelay = false, 0

function MonkHelper_UpdateTimers(elapsed)
local idx, num
MonkHelper_UpdateCooldowns(elapsed)
if #MHTimers ~= nil and #MHTimers ~= 0 then
idx = 1 
num = #MHTimers
while idx <= num do
MHTimers[idx].timer = MHTimers[idx].timer - elapsed
if MHTimers[idx].bypass then MHTimers[idx].exists = true end
if MHTimers[idx].exists == false then MHTimers[idx].timer = 0 end
if MHTimers[idx].timer > 0 and (UnitAffectingCombat("player") == true or MonkHelper_Profiles[MonkHelper_ActiveProfile].options.hideframes == false) then
_G[MHTimers[idx].frame]:Show()
if MHTimers[idx].timer < 100 then
_G[MHTimers[idx].frame.."BarText"]:SetText(string.sub(MHTimers[idx].timer, 1, 4))
else
_G[MHTimers[idx].frame.."BarText"]:SetText(string.sub(MHTimers[idx].timer, 1, 3))
end
_G[MHTimers[idx].frame.."Bar"]:SetValue(MHTimers[idx].timer)
MonkHelper_ColorTimerBar(_G[MHTimers[idx].frame.."Bar"], MHTimers[idx].timer)
else
if not MHKeepShown[MHTimers[idx].frame] then
_G[MHTimers[idx].frame]:Hide()
_G[MHTimers[idx].frame.."BarText"]:SetText(0)
elseif not MHTrackers[MHTimers[idx].frame] then
_G[MHTimers[idx].frame.."Cooldown"]:SetCooldown(GetTime(), 0.001)
_G[MHTimers[idx].frame.."BarText"]:SetText(L["READY"])
if MHChargeList[MHTimers[idx].frame] then
local CD = 0
for k, v in pairs(MHChargeList) do
if k == MHTimers[idx].frame then
table.insert(MHCooldownCheck, {spellid = MHSpellID[k], delay = 0.01})
end
end
end
else
if MHTimers[idx].frame == "MHTigereyeBrewTimer" or MHTimers[idx].frame == "MHElusiveBrewTimer" or MHTimers[idx].frame == "MHManaTeaTimer" then
_G[MHTimers[idx].frame.."Count"]:SetText(0)
end
_G[MHTimers[idx].frame.."Icon"]:SetVertexColor(1, 0, 0)
_G[MHTimers[idx].frame.."Cooldown"]:SetCooldown(GetTime(), 0.001)
_G[MHTimers[idx].frame.."BarText"]:SetText(L["MISSING"].."!")
end
_G[MHTimers[idx].frame.."Bar"]:SetValue(0)
_G[MHTimers[idx].frame.."Bar"]:SetStatusBarColor(0, 1, 0.6)
table.remove(MHTimers, idx)
idx = idx - 1
num = #MHTimers
end
idx = idx + 1
end
end
MonkHelper_Flash(elapsed)
end

function MonkHelper_UpdateCooldowns(elapsed)
local CD = 0
if #MHCooldownCheck > 0 then
local idx = 1
while idx <= #MHCooldownCheck do
MHCooldownCheck[idx].delay = MHCooldownCheck[idx].delay - elapsed
if MHCooldownCheck[idx].delay <= 0 then
local start, cd = GetSpellCooldown(MHCooldownCheck[idx].spellid)
local charges, maxcharges, startrecharge, rechargetime = GetSpellCharges(MHCooldownCheck[idx].spellid)
if start ~= nil and start > 0 and charges == nil then
CD = (start + cd) - GetTime()
MonkHelper_SetCooldown(MHCooldownCheck[idx].spellid, CD, "", cd)
if MHCooldownCheck[idx].spellid ~= MHSpellID["MHDetoxTimer"] then
table.remove(MHCooldownCheck, idx)
idx = idx - 1
else -- Detox Cooldown
table.remove(MHCooldownCheck, idx)
idx = idx - 1
end
elseif charges ~= nil and maxcharges ~= nil then
if charges ~= maxcharges then
CD = (startrecharge + rechargetime) - GetTime()
end
if charges == nil then charges = "" end
if charges ~= maxcharges then
MonkHelper_SetCooldown(MHCooldownCheck[idx].spellid, CD, charges, rechargetime)
else
MonkHelper_SetCooldown(MHCooldownCheck[idx].spellid, CD, charges, rechargetime, true)
end
table.remove(MHCooldownCheck, idx)
else
MHCooldownCheck[idx].delay = 0.03 -- cooldown wasn't calculated, queue for another try in 0.3s
if not MHCooldownCheck[idx].failcount then
MHCooldownCheck[idx].failcount = 1 
else
MHCooldownCheck[idx].failcount = MHCooldownCheck[idx].failcount + 1
end
if MHCooldownCheck[idx].failcount == 20 then
print("|cff00ff96Monk Helper "..L["FAILED_TO_UPDATE_COOLDOWN"].." "..GetSpellInfo(MHCooldownCheck[idx].spellid).."|r")
table.remove(MHCooldownCheck, idx)
end
end
end
idx = idx + 1
end
else
return
end
end

function MonkHelper_CheckCooldowns()
for k, v in pairs(MHTimerList) do
local CD = 0
local start, cd = GetSpellCooldown(k)
local charges, maxcharges, startrecharge, rechargetime = GetSpellCharges(k)
if start ~= nil and start > 0 and charges == nil then
CD = (start + cd) - GetTime()
MonkHelper_SetCooldown(k, CD, "", cd)
elseif charges ~= nil and maxcharges ~= nil then
if charges ~= maxcharges then
CD = (startrecharge + rechargetime) - GetTime()
end
if charges == nil then charges = "" end 
if charges ~= maxcharges then
MonkHelper_SetCooldown(k, CD, charges, rechargetime)
else
MonkHelper_SetCooldown(k, CD, charges, rechargetime, true)
end
end
end
end

function MonkHelper_Flash(elapsed)
if MHtimerbypass == 0 then
if flash == true then
if UnitAffectingCombat("player") == true then
flashdelay = flashdelay + elapsed
if UnitAffectingCombat("player") == true then
if flashdelay >= 0.5 then
--_G[MHTier6Frame:GetName().."Icon"]:SetVertexColor(1, 1, 1)
elseif flashdelay < 0.5 then
--_G[MHTier6Frame:GetName().."Icon"]:SetVertexColor(1, 0, 0)
end
end
if flashdelay >= 1 then
flashdelay = flashdelay - 1
end
elseif flash == false then
flashdelay = 0
--_G[MHTier6Frame:GetName().."Icon"]:SetVertexColor(1, 1, 1)
return
end
end
end
end

function MonkHelper_ColorTimerBar(bar, value)

if value <= 5 then
if value <= 5 and value > 4.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 4.5 and value > 4 then
bar:SetStatusBarColor(0, 1, 0.6)
end
if value <= 4 and value > 3.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 3.5 and value > 3 then
bar:SetStatusBarColor(0, 1, 0.6)
end
if value <= 3 and value > 2.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 2.5 and value > 2 then
bar:SetStatusBarColor(0, 1, 0.6)
end
if value <= 2 and value > 1.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 1.5 and value > 1 then
bar:SetStatusBarColor(0, 1, 0.6)
end
if value <= 1 and value > 0.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 0.5 and value > 0 then
bar:SetStatusBarColor(0, 1, 0.6)
end
else
bar:SetStatusBarColor(0, 1, 0.6)
end

end


function MonkHelper_NewTime(frame, timerduration, bypass)
if #MHTimers ~= nil and #MHTimers ~= 0 then
for idx = 1, #MHTimers do
if MHTimers[idx].frame == frame then
MHTimers[idx].timer = timerduration
MHTimers[idx].exists = true
return
end
end
else
table.insert(MHTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MHTimers[#MHTimers].bypass = true end
return
end
table.insert(MHTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MHTimers[#MHTimers].bypass = true end
end


function MonkHelper_TimerHandler()
if MHtimerbypass == 0 then
local name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, timerduration, spellid
if #MHTimers ~= 0 and #MHTimers ~= nil then
for idx = 1, #MHTimers do
if not MHKeepShown[MHTimers[idx].frame] or MHTrackers[MHTimers[idx].frame] then
MHTimers[idx].exists = false
end
end
end

for idx = 1, 40 do
name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitBuff("player", idx)
if name == nil then
break
end
if count == nil then
count = ""
end

timerduration = expirationtime - GetTime()

if MHTimerList[spellid] then
if spellid == MHSpellID["MHTigerPowerTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpowertimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpowertimer == 3 and timerduration > MHTigerPowerTimerBar:GetValue() + 0.1 then
MHTigerPowerTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHTigerPowerTimer", timerduration)
MHTigerPowerTimerBar:SetMinMaxValues(0, duration)
MHTigerPowerTimerIcon:SetVertexColor(1, 1, 1)
end

elseif spellid == MHSpellID["MHSerpentsZealTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhserpentszealtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhserpentszealtimer == 3 and timerduration > MHSerpentsZealTimerBar:GetValue() + 0.1 then
MHSerpentsZealTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHSerpentsZealTimer", timerduration)
MHSerpentsZealTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHShuffleTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhshuffletimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhshuffletimer == 3 and timerduration > MHShuffleTimerBar:GetValue() + 0.1 then
MHShuffleTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHShuffleTimer", timerduration)
MHShuffleTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHVitalMistsTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhvitalmiststimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhvitalmiststimer == 3 and timerduration > MHVitalMistsTimerBar:GetValue() + 0.1 then
MHVitalMistsTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHVitalMistsTimer", timerduration)
MHVitalMistsTimerBar:SetMinMaxValues(0, duration)
MHVitalMistsTimerCount:SetText(count)
end

elseif spellid == MHSpellID["MHBlackoutKickTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhblackoutkicktimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhblackoutkicktimer == 3 and timerduration > MHBlackoutKickTimerBar:GetValue() + 0.1 then
MHBlackoutKickTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHBlackoutKickTimer", timerduration)
MHBlackoutKickTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHTigerPalmTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpalmtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigerpalmtimer == 3 and timerduration > MHTigerPalmTimerBar:GetValue() + 0.1 then
MHTigerPalmTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHTigerPalmTimer", timerduration)
MHTigerPalmTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHTouchOfKarmaTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofkarmatimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtouchofkarmatimer == 3 and timerduration > MHTouchOfKarmaTimerBar:GetValue() + 0.1 then
MHTouchOfKarmaTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHTouchOfKarmaTimer", timerduration)
MHTouchOfKarmaTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHDiffuseMagicTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdiffusemagictimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhdiffusemagictimer == 3 and timerduration > MHDiffuseMagicTimerBar:GetValue() + 0.1 then
MHDiffuseMagicTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHDiffuseMagicTimer", timerduration)
MHDiffuseMagicTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHZenMeditationTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhzenmeditationtimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhzenmeditationtimer == 3 and timerduration > MHZenMeditationTimerBar:GetValue() + 0.1 then
MHZenMeditationTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHZenMeditationTimer", timerduration)
MHZenMeditationTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHRingOfPeaceTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhringofpeacetimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhringofpeacetimer == 3 and timerduration > MHRingOfPeaceTimerBar:GetValue() + 0.1 then
MHRingOfPeaceTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MonkHelper_NewTime("MHRingOfPeaceTimer", timerduration)
MHRingOfPeaceTimerBar:SetMinMaxValues(0, duration)
end

elseif spellid == MHSpellID["MHTigereyeBrewTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigereyebrewtimer == true then
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhtigereyebrewtimer == 3 and timerduration > MHTigereyeBrewTimerBar:GetValue() + 0.1 then
--MHTigereyeBrewTimerCooldown:SetCooldown(GetTime(), timerduration)
--end
MonkHelper_NewTime("MHTigereyeBrewTimer", timerduration)
MHTigereyeBrewTimerBar:SetMinMaxValues(0, duration)
MHTigereyeBrewTimerCount:SetText(count)
MHTigereyeBrewTimerIcon:SetVertexColor(1, 1, 1)
end

elseif spellid == MHSpellID["MHElusiveBrewTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhelusivebrewtimer == true then
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhelusivebrewtimer == 3 and timerduration > MHElusiveBrewTimerBar:GetValue() + 0.1 then
--MHElusiveBrewTimerCooldown:SetCooldown(GetTime(), timerduration)
--end
MonkHelper_NewTime("MHElusiveBrewTimer", timerduration)
MHElusiveBrewTimerBar:SetMinMaxValues(0, duration)
MHElusiveBrewTimerCount:SetText(count)
MHElusiveBrewTimerIcon:SetVertexColor(1, 1, 1)
end

elseif spellid == MHSpellID["MHManaTeaTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhmanateatimer == true then
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhmanateatimer == 3 and timerduration > MHManaTeaTimerBar:GetValue() + 0.1 then
--MHManaTeaTimerCooldown:SetCooldown(GetTime(), timerduration)
--end
MonkHelper_NewTime("MHManaTeaTimer", timerduration)
MHManaTeaTimerBar:SetMinMaxValues(0, duration)
MHManaTeaTimerCount:SetText(count)
MHManaTeaTimerIcon:SetVertexColor(1, 1, 1)
end


end
end
end

for idx = 1, 40 do
name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitDebuff("player", idx)

if count == nil then
count = ""
end
if expirationtime == nil then 
return 
end

if MHTimerList[spellid] then
timerduration = expirationtime - GetTime()
--if spellid == MHSpellID["MHArcaneChargeTimer"] then
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.MHarcanechargetimer == 1 then
--if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.MHarcanechargetimer == 3 and timerduration > MHArcaneChargeTimerBar:GetValue() + 0.1 then
--MHArcaneChargeTimerCooldown:SetCooldown(GetTime(), timerduration)
--end
--MonkHelper_NewTime("MHArcaneChargeTimer", timerduration)
--MHArcaneChargeTimerBar:SetMinMaxValues(0, duration)
--MHArcaneChargeTimerCount:SetText(count)
--end

--end
end
end

end
end


function MonkHelper_CreateTimersUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

-- Timers ------------------------------------------------------------------------------------------
CreateFrame("Frame", "MHTimersEventFrame", UIParent)
MHTimersEventFrame:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MHtimerbypass == 0 then

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg2 == "SPELL_CAST_SUCCESS" and arg4 == UnitGUID("player") then

if arg12 == MHSpellID["MHRisingSunKickTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrisingsunkicktimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHFlyingSerpentKickTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHRenewingMistTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrenewingmisttimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHKegSmashTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhkegsmashtimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHFistsOfFuryTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhfistsoffurytimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHGuardTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhguardtimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHChiBrewTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibrewtimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHDetoxTimer"] and (MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtimer == true or MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtracker == true) then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHFlyingSerpentKickTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHShuffleTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhshuffletimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHRollTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrolltimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHTranscendenceTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHTranscendenceTransferTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfertimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHTigersLustTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerslusttimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHProvokeTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhprovoketimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHSpearHandStrikeTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhspearhandstriketimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHExpelHarmTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhexpelharmtimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHEnergizingBrewTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhenergizingbrewtimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHThunderFocusTeaTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhthunderfocusteatimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})

elseif arg12 == MHSpellID["MHParalysisTimer"] and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysistimer == true then
table.insert(MHCooldownCheck, {spellid = arg12, delay = 0.01})


end

if arg12 == MHSpellID["MHInvokeXuenTimer"] then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhxuentimer == true then
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.style.mhxuentimer == 3 then
MHXuenTimerCooldown:SetCooldown(GetTime(), 45)
end
MonkHelper_NewTime("MHXuenTimer", 45, true)
MHXuenTimerBar:SetMinMaxValues(0, 45)
end

end
end

end

if event == "UNIT_AURA" and arg1 == "player" then
MonkHelper_TimerHandler()
end

end
end)

MHTimersEventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
MHTimersEventFrame:RegisterEvent("UNIT_AURA")

MonkHelper_CreateTimer("MHTigerPowerTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTigerPowerTimerIcon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
MHTigerPowerTimerIcon:SetVertexColor(1, 0, 0)
MHTigerPowerTimerText:SetText(L["TIGER_POWER"])
MHTigerPowerTimerBarText:SetText(L["MISSING"])

MonkHelper_CreateTimer("MHShuffleTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHShuffleTimerIcon:SetTexture("Interface\\Icons\\ability_monk_shuffle")
MHShuffleTimerIcon:SetVertexColor(1, 0, 0)
MHShuffleTimerText:SetText(L["SHUFFLE"])
MHShuffleTimerText:SetText(L["MISSING"])

MonkHelper_CreateTimer("MHRisingSunKickTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHRisingSunKickTimerIcon:SetTexture("Interface\\Icons\\ability_monk_risingsunkick")
MHRisingSunKickTimerText:SetText(L["RISING_SUN_KICK"])
MHRisingSunKickTimerCooldown:SetReverse(false)
MHRisingSunKickTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHTouchOfKarmaTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTouchOfKarmaTimerIcon:SetTexture("Interface\\Icons\\ability_monk_touchofkarma")
MHTouchOfKarmaTimerText:SetText(L["TOUCH_OF_KARMA"])

MonkHelper_CreateTimer("MHEnergizingBrewTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHEnergizingBrewTimerIcon:SetTexture("Interface\\Icons\\ability_monk_energizingwine")
MHEnergizingBrewTimerText:SetText(L["ENERGIZING_BREW"])
MHEnergizingBrewTimerCooldown:SetReverse(false)
MHEnergizingBrewTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHFlyingSerpentKickTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHFlyingSerpentKickTimerIcon:SetTexture("Interface\\Icons\\ability_monk_flyingdragonkick")
MHFlyingSerpentKickTimerText:SetText(L["FLYING_SERPENT_KICK"])
MHFlyingSerpentKickTimerCooldown:SetReverse(false)
MHFlyingSerpentKickTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHRenewingMistTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHRenewingMistTimerIcon:SetTexture("Interface\\Icons\\ability_monk_renewingmists")
MHRenewingMistTimerText:SetText(L["RENEWING_MIST"])
MHRenewingMistTimerCooldown:SetReverse(false)
MHRenewingMistTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHKegSmashTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHKegSmashTimerIcon:SetTexture("Interface\\Icons\\achievement_brewery_2")
MHKegSmashTimerText:SetText(L["KEG_SMASH"])
MHKegSmashTimerCooldown:SetReverse(false)
MHKegSmashTimerBarText:SetText(L["READY"])


MonkHelper_CreateTimer("MHThunderFocusTeaTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHThunderFocusTeaTimerIcon:SetTexture("Interface\\Icons\\ability_monk_thunderfocustea")
MHThunderFocusTeaTimerText:SetText(L["THUNDER_FOCUS_TEA"])
MHThunderFocusTeaTimerCooldown:SetReverse(false)
MHThunderFocusTeaTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHSerpentsZealTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHSerpentsZealTimerIcon:SetTexture("Interface\\Icons\\ability_monk_ascension")
MHSerpentsZealTimerText:SetText(L["SERPENTS_ZEAL"])

MonkHelper_CreateTimer("MHFistsOfFuryTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHFistsOfFuryTimerIcon:SetTexture("Interface\\Icons\\monk_ability_fistoffury")
MHFistsOfFuryTimerText:SetText(L["FISTS_OF_FURY"])
MHFistsOfFuryTimerCooldown:SetReverse(false)
MHFistsOfFuryTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHGuardTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHGuardTimerIcon:SetTexture("Interface\\Icons\\ability_monk_guard")
MHGuardTimerText:SetText(L["GUARD"])
MHGuardTimerCooldown:SetReverse(false)
MHGuardTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHExpelHarmTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHExpelHarmTimerIcon:SetTexture("Interface\\Icons\\ability_monk_expelharm")
MHExpelHarmTimerText:SetText(L["EXPEL_HARM"])
MHExpelHarmTimerCooldown:SetReverse(false)
MHExpelHarmTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHTigersLustTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTigersLustTimerIcon:SetTexture("Interface\\Icons\\ability_monk_tigerslust")
MHTigersLustTimerText:SetText(L["TIGERS_LUST"])
MHTigersLustTimerCooldown:SetReverse(false)
MHTigersLustTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHChiBrewTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHChiBrewTimerIcon:SetTexture("Interface\\Icons\\ability_monk_chibrew")
MHChiBrewTimerText:SetText(L["CHI_BREW"])
MHChiBrewTimerCooldown:SetReverse(false)
MHChiBrewTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHRingOfPeaceTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHRingOfPeaceTimerIcon:SetTexture("Interface\\Icons\\spell_monk_ringofpeace")
MHRingOfPeaceTimerText:SetText(L["RING_OF_PEACE"])

MonkHelper_CreateTimer("MHDiffuseMagicTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHDiffuseMagicTimerIcon:SetTexture("Interface\\Icons\\spell_monk_diffusemagic")
MHDiffuseMagicTimerText:SetText(L["DIFFUSE_MAGIC"])

MonkHelper_CreateTimer("MHDetoxTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHDetoxTimerIcon:SetTexture(GetSpellTexture(MHSpellID["MHDetoxTimer"]))
MHDetoxTimerText:SetText(L["DETOX"])
MHDetoxTimerCooldown:SetReverse(false)
MHDetoxTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHRollTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHRollTimerIcon:SetTexture("Interface\\Icons\\ability_monk_roll")
MHRollTimerText:SetText(L["ROLL"])
MHRollTimerCooldown:SetReverse(false)
MHRollTimerBarText:SetText(L["READY"])
MHRollTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MHRollTimerCount:SetTextColor(1, 1, 1)
MHRollTimerCount:SetTextHeight(16)
MHRollTimerCount:SetPoint("BOTTOMRIGHT", MHRollTimerIcon, "BOTTOMRIGHT")

MonkHelper_CreateTimer("MHProvokeTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHProvokeTimerIcon:SetTexture("Interface\\Icons\\ability_monk_provoke")
MHProvokeTimerText:SetText(L["PROVOKE"])
MHProvokeTimerCooldown:SetReverse(false)
MHProvokeTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHSpearHandStrikeTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHSpearHandStrikeTimerIcon:SetTexture("Interface\\Icons\\ability_monk_spearhand")
MHSpearHandStrikeTimerText:SetText(L["SPEAR_HAND_STRIKE"])
MHSpearHandStrikeTimerCooldown:SetReverse(false)
MHSpearHandStrikeTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHZenMeditationTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHZenMeditationTimerIcon:SetTexture("Interface\\Icons\\ability_monk_zenmeditation")
MHZenMeditationTimerText:SetText(L["ZEN_MEDITATION"])

MonkHelper_CreateTimer("MHTranscendenceTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTranscendenceTimerIcon:SetTexture("Interface\\Icons\\monk_ability_transcendence")
MHTranscendenceTimerText:SetText(L["TRANSCENDENCE"])
MHTranscendenceTimerCooldown:SetReverse(false)
MHTranscendenceTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHTranscendenceTransferTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTranscendenceTransferTimerIcon:SetTexture("Interface\\Icons\\spell_shaman_spectraltransformation")
MHTranscendenceTransferTimerText:SetText(L["TRANSCENDENCE_TRANSFER"])
MHTranscendenceTransferTimerCooldown:SetReverse(false)
MHTranscendenceTransferTimerBarText:SetText(L["READY"])

MonkHelper_CreateTimer("MHXuenTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHXuenTimerIcon:SetTexture("Interface\\Icons\\ability_monk_summontigerstatue")
MHXuenTimerText:SetText(L["XUEN"])

MonkHelper_CreateTimer("MHVitalMistsTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHVitalMistsTimerIcon:SetTexture("Interface\\Icons\\ability_shaman_repulsiontotem")
MHVitalMistsTimerText:SetText(L["VITAL_MISTS"])
MHVitalMistsTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MHVitalMistsTimerCount:SetTextColor(1, 1, 1)
MHVitalMistsTimerCount:SetTextHeight(16)
MHVitalMistsTimerCount:SetPoint("BOTTOMRIGHT", MHVitalMistsTimerIcon, "BOTTOMRIGHT")

MonkHelper_CreateTimer("MHBlackoutKickTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHBlackoutKickTimerIcon:SetTexture("Interface\\Icons\\ability_monk_roundhousekick")
MHBlackoutKickTimerText:SetText(L["BLACKOUT_KICK"])

MonkHelper_CreateTimer("MHTigerPalmTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTigerPalmTimerIcon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
MHTigerPalmTimerText:SetText(L["TIGER_PALM"])

MonkHelper_CreateTimer("MHParalysisTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHParalysisTimerIcon:SetTexture(GetSpellTexture(115078))
MHParalysisTimerText:SetText(L["PARALYSIS"])
MHParalysisTimerCooldown:SetReverse(false)
MHParalysisTimerBarText:SetText(L["READY"])



MonkHelper_CreateTimer("MHTigereyeBrewTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHTigereyeBrewTimerIcon:SetTexture(GetSpellTexture(125195))
MHTigereyeBrewTimerIcon:SetVertexColor(1, 0, 0)
MHTigereyeBrewTimerText:SetText(L["TIGEREYE_BREW"])
MHTigereyeBrewTimerBarText:SetText(L["MISSING"])
MHTigereyeBrewTimerCount:SetText(0)
MHTigereyeBrewTimerCooldown.enablecooldowntext = false

MonkHelper_CreateTimer("MHElusiveBrewTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHElusiveBrewTimerIcon:SetTexture(GetSpellTexture(128939))
MHElusiveBrewTimerIcon:SetVertexColor(1, 0, 0)
MHElusiveBrewTimerText:SetText(L["ELUSIVE_BREW"])
MHElusiveBrewTimerBarText:SetText(L["MISSING"])
MHElusiveBrewTimerCount:SetText(0)

MonkHelper_CreateTimer("MHManaTeaTimer", "CENTER", UIParent, "CENTER", -200, 135)
MHManaTeaTimerIcon:SetTexture(GetSpellTexture(115867))
MHManaTeaTimerIcon:SetVertexColor(1, 0, 0)
MHManaTeaTimerText:SetText(L["MANA_TEA"])
MHManaTeaTimerBarText:SetText(L["MISSING"])
MHManaTeaTimerCount:SetText(0)


end


function MonkHelper_CreateTimersOptionsMenu()
--Timers---------------------------------------------------------------
MonkHelper.timers = CreateFrame("Frame", "MHTimersOptions", MHOptionsFrame)
MonkHelper.timers:SetWidth(625)
MonkHelper.timers:SetHeight(570)
MonkHelper.timers:SetPoint("LEFT", MHOptionsFrameButtons, "RIGHT", 5, 0)
MonkHelper.timers.name = L["TIMERS"]
MonkHelper.timers:SetFrameLevel(4)

MHTimersScrollFrame = CreateFrame("ScrollFrame", "MHTimersScrollFrame", MonkHelper.timers)
MHTimersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MHTimersScrollFrame:SetPoint("BOTTOMRIGHT", -15, 15) 

MHTimersContent = CreateFrame("Frame", "MHTimersContent", MHTimersScrollFrame)
MHTimersContent:SetPoint("CENTER")
MHTimersContent:SetWidth(580)
MHTimersContent:SetHeight(4000)
MHTimersScrollFrame:SetScrollChild(MHTimersContent)

MHTimersScroll = CreateFrame("Slider", "MHTimersScroll", MHTimersScrollFrame, "UIPanelScrollBarTemplate")
MHTimersScroll:CreateTexture("$parentBG")
MHTimersScrollBG:SetWidth(16)
MHTimersScrollBG:SetHeight(445)
MHTimersScrollBG:SetPoint("CENTER", -0.5, 0)
MHTimersScrollBG:SetTexture(0.2, 0.2, 0.2, 0.5)
MHTimersScroll:SetOrientation("VERTICAL")
MHTimersScroll:SetWidth(20)
MHTimersScroll:SetHeight(450)
MHTimersScroll:SetPoint("RIGHT", MonkHelper.timers, "RIGHT", -5, 0)
MHTimersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHTimersScroll:SetValueStep(20)
MHTimersScroll:SetValue(0)
MHTimersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHTimersScroll:GetValue()
if delta > 0  then
MHTimersScroll:SetValue(scroll - MHTimersScroll:GetValueStep())
elseif delta < 0 then
MHTimersScroll:SetValue(scroll + MHTimersScroll:GetValueStep())
end
end)

x = 50
y = 0
local spacey, scaley = 60, 50

y = y - 20
MonkHelper_BarStyle("MHRisingSunKickTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHRisingSunKickTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHRisingSunKickTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRisingSunKickTimerShowText:SetText(L["RISING_SUN_KICK"].." "..L["COOLDOWN"])
MHRisingSunKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrisingsunkicktimer)
MHRisingSunKickTimerShow:CreateTexture("$parentIcon")
MHRisingSunKickTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_risingsunkick")
MHRisingSunKickTimerShowIcon:SetWidth(32)
MHRisingSunKickTimerShowIcon:SetHeight(32)
MHRisingSunKickTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHRisingSunKickTimerScale", MHTimersContent)
MHRisingSunKickTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRisingSunKickTimerScale:SetWidth(300)
MHRisingSunKickTimerScale:SetHeight(20)
MHRisingSunKickTimerScale:SetOrientation("HORIZONTAL")
MHRisingSunKickTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHRisingSunKickTimerScale:SetMinMaxValues(0.5,2)
MHRisingSunKickTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHRisingSunKickTimerScale:SetScript("OnValueChanged", function (self, value) MHRisingSunKickTimerScaleValue:SetText(string.sub(value, 1, 4)) MHRisingSunKickTimer:SetScale(value) end)
MHRisingSunKickTimerScaleHeader = MHTimersContent:CreateFontString("MHRisingSunKickTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHRisingSunKickTimerScaleHeader:SetPoint("BOTTOMLEFT", MHRisingSunKickTimerScale, "TOPLEFT")
MHRisingSunKickTimerScaleHeader:SetText(L["SCALE"])
MHRisingSunKickTimerScaleValue = MHTimersContent:CreateFontString("MHRisingSunKickTimerScaleValue", "OVERLAY", "GameFontNormal")
MHRisingSunKickTimerScaleValue:SetPoint("BOTTOMRIGHT", MHRisingSunKickTimerScale, "TOPRIGHT")
MHRisingSunKickTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrisingsunkicktimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTouchOfKarmaTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTouchOfKarmaTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTouchOfKarmaTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTouchOfKarmaTimerShowText:SetText(L["TOUCH_OF_KARMA"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHTouchOfKarmaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtouchofkarmatimer)
MHTouchOfKarmaTimerShow:CreateTexture("$parentIcon")
MHTouchOfKarmaTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_touchofkarma")
MHTouchOfKarmaTimerShowIcon:SetWidth(32)
MHTouchOfKarmaTimerShowIcon:SetHeight(32)
MHTouchOfKarmaTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTouchOfKarmaTimerScale", MHTimersContent)
MHTouchOfKarmaTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTouchOfKarmaTimerScale:SetWidth(300)
MHTouchOfKarmaTimerScale:SetHeight(20)
MHTouchOfKarmaTimerScale:SetOrientation("HORIZONTAL")
MHTouchOfKarmaTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTouchOfKarmaTimerScale:SetMinMaxValues(0.5,2)
MHTouchOfKarmaTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTouchOfKarmaTimerScale:SetScript("OnValueChanged", function (self, value) MHTouchOfKarmaTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTouchOfKarmaTimer:SetScale(value) end)
MHTouchOfKarmaTimerScaleHeader = MHTimersContent:CreateFontString("MHTouchOfKarmaTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTouchOfKarmaTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTouchOfKarmaTimerScale, "TOPLEFT")
MHTouchOfKarmaTimerScaleHeader:SetText(L["SCALE"])
MHTouchOfKarmaTimerScaleValue = MHTimersContent:CreateFontString("MHTouchOfKarmaTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTouchOfKarmaTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTouchOfKarmaTimerScale, "TOPRIGHT")
MHTouchOfKarmaTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtouchofkarmatimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHParalysisTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHParalysisTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHParalysisTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHParalysisTimerShowText:SetText(L["PARALYSIS"].." "..L["COOLDOWN"])
MHParalysisTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysistimer)
MHParalysisTimerShow:CreateTexture("$parentIcon")
MHParalysisTimerShowIcon:SetTexture(GetSpellTexture(115078))
MHParalysisTimerShowIcon:SetWidth(32)
MHParalysisTimerShowIcon:SetHeight(32)
MHParalysisTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHParalysisTimerScale", MHTimersContent)
MHParalysisTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHParalysisTimerScale:SetWidth(300)
MHParalysisTimerScale:SetHeight(20)
MHParalysisTimerScale:SetOrientation("HORIZONTAL")
MHParalysisTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHParalysisTimerScale:SetMinMaxValues(0.5,2)
MHParalysisTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHParalysisTimerScale:SetScript("OnValueChanged", function (self, value) MHParalysisTimerScaleValue:SetText(string.sub(value, 1, 4)) MHParalysisTimer:SetScale(value) end)
MHParalysisTimerScaleHeader = MHTimersContent:CreateFontString("MHParalysisTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHParalysisTimerScaleHeader:SetPoint("BOTTOMLEFT", MHParalysisTimerScale, "TOPLEFT")
MHParalysisTimerScaleHeader:SetText(L["SCALE"])
MHParalysisTimerScaleValue = MHTimersContent:CreateFontString("MHParalysisTimerScaleValue", "OVERLAY", "GameFontNormal")
MHParalysisTimerScaleValue:SetPoint("BOTTOMRIGHT", MHParalysisTimerScale, "TOPRIGHT")
MHParalysisTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysistimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHEnergizingBrewTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHEnergizingBrewTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHEnergizingBrewTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHEnergizingBrewTimerShowText:SetText(L["ENERGIZING_BREW"].." "..L["COOLDOWN"])
MHEnergizingBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhenergizingbrewtimer)
MHEnergizingBrewTimerShow:CreateTexture("$parentIcon")
MHEnergizingBrewTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_energizingwine")
MHEnergizingBrewTimerShowIcon:SetWidth(32)
MHEnergizingBrewTimerShowIcon:SetHeight(32)
MHEnergizingBrewTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHEnergizingBrewTimerScale", MHTimersContent)
MHEnergizingBrewTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHEnergizingBrewTimerScale:SetWidth(300)
MHEnergizingBrewTimerScale:SetHeight(20)
MHEnergizingBrewTimerScale:SetOrientation("HORIZONTAL")
MHEnergizingBrewTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHEnergizingBrewTimerScale:SetMinMaxValues(0.5,2)
MHEnergizingBrewTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHEnergizingBrewTimerScale:SetScript("OnValueChanged", function (self, value) MHEnergizingBrewTimerScaleValue:SetText(string.sub(value, 1, 4)) MHEnergizingBrewTimer:SetScale(value) end)
MHEnergizingBrewTimerScaleHeader = MHTimersContent:CreateFontString("MHEnergizingBrewTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHEnergizingBrewTimerScaleHeader:SetPoint("BOTTOMLEFT", MHEnergizingBrewTimerScale, "TOPLEFT")
MHEnergizingBrewTimerScaleHeader:SetText(L["SCALE"])
MHEnergizingBrewTimerScaleValue = MHTimersContent:CreateFontString("MHEnergizingBrewTimerScaleValue", "OVERLAY", "GameFontNormal")
MHEnergizingBrewTimerScaleValue:SetPoint("BOTTOMRIGHT", MHEnergizingBrewTimerScale, "TOPRIGHT")
MHEnergizingBrewTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhenergizingbrewtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTigerPowerTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTigerPowerTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTigerPowerTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigerPowerTimerShowText:SetText(L["TIGER_POWER"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHTigerPowerTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpowertimer)
MHTigerPowerTimerShow:CreateTexture("$parentIcon")
MHTigerPowerTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
MHTigerPowerTimerShowIcon:SetWidth(32)
MHTigerPowerTimerShowIcon:SetHeight(32)
MHTigerPowerTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTigerPowerTimerScale", MHTimersContent)
MHTigerPowerTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigerPowerTimerScale:SetWidth(300)
MHTigerPowerTimerScale:SetHeight(20)
MHTigerPowerTimerScale:SetOrientation("HORIZONTAL")
MHTigerPowerTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTigerPowerTimerScale:SetMinMaxValues(0.5,2)
MHTigerPowerTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTigerPowerTimerScale:SetScript("OnValueChanged", function (self, value) MHTigerPowerTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTigerPowerTimer:SetScale(value) end)
MHTigerPowerTimerScaleHeader = MHTimersContent:CreateFontString("MHTigerPowerTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTigerPowerTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTigerPowerTimerScale, "TOPLEFT")
MHTigerPowerTimerScaleHeader:SetText(L["SCALE"])
MHTigerPowerTimerScaleValue = MHTimersContent:CreateFontString("MHTigerPowerTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTigerPowerTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTigerPowerTimerScale, "TOPRIGHT")
MHTigerPowerTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpowertimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHFlyingSerpentKickTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHFlyingSerpentKickTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHFlyingSerpentKickTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHFlyingSerpentKickTimerShowText:SetText(L["FLYING_SERPENT_KICK"].." "..L["COOLDOWN"])
MHFlyingSerpentKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhflyingserpentkicktimer)
MHFlyingSerpentKickTimerShow:CreateTexture("$parentIcon")
MHFlyingSerpentKickTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_flyingdragonkick")
MHFlyingSerpentKickTimerShowIcon:SetWidth(32)
MHFlyingSerpentKickTimerShowIcon:SetHeight(32)
MHFlyingSerpentKickTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHFlyingSerpentKickTimerScale", MHTimersContent)
MHFlyingSerpentKickTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHFlyingSerpentKickTimerScale:SetWidth(300)
MHFlyingSerpentKickTimerScale:SetHeight(20)
MHFlyingSerpentKickTimerScale:SetOrientation("HORIZONTAL")
MHFlyingSerpentKickTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHFlyingSerpentKickTimerScale:SetMinMaxValues(0.5,2)


MHFlyingSerpentKickTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHFlyingSerpentKickTimerScale:SetScript("OnValueChanged", function (self, value) MHFlyingSerpentKickTimerScaleValue:SetText(string.sub(value, 1, 4)) MHFlyingSerpentKickTimer:SetScale(value) end)
MHFlyingSerpentKickTimerScaleHeader = MHTimersContent:CreateFontString("MHFlyingSerpentKickTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHFlyingSerpentKickTimerScaleHeader:SetPoint("BOTTOMLEFT", MHFlyingSerpentKickTimerScale, "TOPLEFT")
MHFlyingSerpentKickTimerScaleHeader:SetText(L["SCALE"])
MHFlyingSerpentKickTimerScaleValue = MHTimersContent:CreateFontString("MHFlyingSerpentKickTimerScaleValue", "OVERLAY", "GameFontNormal")
MHFlyingSerpentKickTimerScaleValue:SetPoint("BOTTOMRIGHT", MHFlyingSerpentKickTimerScale, "TOPRIGHT")
MHFlyingSerpentKickTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhflyingserpentkicktimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHRenewingMistTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHRenewingMistTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHRenewingMistTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRenewingMistTimerShowText:SetText(L["RENEWING_MIST"].." "..L["COOLDOWN"])
MHRenewingMistTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrenewingmisttimer)
MHRenewingMistTimerShow:CreateTexture("$parentIcon")
MHRenewingMistTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_renewingmists")
MHRenewingMistTimerShowIcon:SetWidth(32)
MHRenewingMistTimerShowIcon:SetHeight(32)
MHRenewingMistTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHRenewingMistTimerScale", MHTimersContent)
MHRenewingMistTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRenewingMistTimerScale:SetWidth(300)
MHRenewingMistTimerScale:SetHeight(20)
MHRenewingMistTimerScale:SetOrientation("HORIZONTAL")
MHRenewingMistTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHRenewingMistTimerScale:SetMinMaxValues(0.5,2)
MHRenewingMistTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHRenewingMistTimerScale:SetScript("OnValueChanged", function (self, value) MHRenewingMistTimerScaleValue:SetText(string.sub(value, 1, 4)) MHRenewingMistTimer:SetScale(value) end)
MHRenewingMistTimerScaleHeader = MHTimersContent:CreateFontString("MHRenewingMistTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHRenewingMistTimerScaleHeader:SetPoint("BOTTOMLEFT", MHRenewingMistTimerScale, "TOPLEFT")
MHRenewingMistTimerScaleHeader:SetText(L["SCALE"])
MHRenewingMistTimerScaleValue = MHTimersContent:CreateFontString("MHRenewingMistTimerScaleValue", "OVERLAY", "GameFontNormal")
MHRenewingMistTimerScaleValue:SetPoint("BOTTOMRIGHT", MHRenewingMistTimerScale, "TOPRIGHT")
MHRenewingMistTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrenewingmisttimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHKegSmashTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHKegSmashTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHKegSmashTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHKegSmashTimerShowText:SetText(L["KEG_SMASH"].." "..L["COOLDOWN"])
MHKegSmashTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhkegsmashtimer)
MHKegSmashTimerShow:CreateTexture("$parentIcon")
MHKegSmashTimerShowIcon:SetTexture("Interface\\Icons\\achievement_brewery_2")
MHKegSmashTimerShowIcon:SetWidth(32)
MHKegSmashTimerShowIcon:SetHeight(32)
MHKegSmashTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHKegSmashTimerScale", MHTimersContent)
MHKegSmashTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHKegSmashTimerScale:SetWidth(300)
MHKegSmashTimerScale:SetHeight(20)
MHKegSmashTimerScale:SetOrientation("HORIZONTAL")
MHKegSmashTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHKegSmashTimerScale:SetMinMaxValues(0.5,2)
MHKegSmashTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHKegSmashTimerScale:SetScript("OnValueChanged", function (self, value) MHKegSmashTimerScaleValue:SetText(string.sub(value, 1, 4)) MHKegSmashTimer:SetScale(value) end)
MHKegSmashTimerScaleHeader = MHTimersContent:CreateFontString("MHKegSmashTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHKegSmashTimerScaleHeader:SetPoint("BOTTOMLEFT", MHKegSmashTimerScale, "TOPLEFT")
MHKegSmashTimerScaleHeader:SetText(L["SCALE"])
MHKegSmashTimerScaleValue = MHTimersContent:CreateFontString("MHKegSmashTimerScaleValue", "OVERLAY", "GameFontNormal")
MHKegSmashTimerScaleValue:SetPoint("BOTTOMRIGHT", MHKegSmashTimerScale, "TOPRIGHT")
MHKegSmashTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhkegsmashtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHThunderFocusTeaTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHThunderFocusTeaTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHThunderFocusTeaTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHThunderFocusTeaTimerShowText:SetText(L["THUNDER_FOCUS_TEA"].." "..L["COOLDOWN"])
MHThunderFocusTeaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhthunderfocusteatimer)
MHThunderFocusTeaTimerShow:CreateTexture("$parentIcon")
MHThunderFocusTeaTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_thunderfocustea")
MHThunderFocusTeaTimerShowIcon:SetWidth(32)
MHThunderFocusTeaTimerShowIcon:SetHeight(32)
MHThunderFocusTeaTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHThunderFocusTeaTimerScale", MHTimersContent)
MHThunderFocusTeaTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHThunderFocusTeaTimerScale:SetWidth(300)
MHThunderFocusTeaTimerScale:SetHeight(20)
MHThunderFocusTeaTimerScale:SetOrientation("HORIZONTAL")
MHThunderFocusTeaTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHThunderFocusTeaTimerScale:SetMinMaxValues(0.5,2)
MHThunderFocusTeaTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHThunderFocusTeaTimerScale:SetScript("OnValueChanged", function (self, value) MHThunderFocusTeaTimerScaleValue:SetText(string.sub(value, 1, 4)) MHThunderFocusTeaTimer:SetScale(value) end)
MHThunderFocusTeaTimerScaleHeader = MHTimersContent:CreateFontString("MHThunderFocusTeaTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHThunderFocusTeaTimerScaleHeader:SetPoint("BOTTOMLEFT", MHThunderFocusTeaTimerScale, "TOPLEFT")
MHThunderFocusTeaTimerScaleHeader:SetText(L["SCALE"])
MHThunderFocusTeaTimerScaleValue = MHTimersContent:CreateFontString("MHThunderFocusTeaTimerScaleValue", "OVERLAY", "GameFontNormal")
MHThunderFocusTeaTimerScaleValue:SetPoint("BOTTOMRIGHT", MHThunderFocusTeaTimerScale, "TOPRIGHT")
MHThunderFocusTeaTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhthunderfocusteatimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHSerpentsZealTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHSerpentsZealTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHSerpentsZealTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHSerpentsZealTimerShowText:SetText(L["SERPENTS_ZEAL"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHSerpentsZealTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhserpentszealtimer)
MHSerpentsZealTimerShow:CreateTexture("$parentIcon")
MHSerpentsZealTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_ascension")
MHSerpentsZealTimerShowIcon:SetWidth(32)
MHSerpentsZealTimerShowIcon:SetHeight(32)
MHSerpentsZealTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHSerpentsZealTimerScale", MHTimersContent)
MHSerpentsZealTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHSerpentsZealTimerScale:SetWidth(300)
MHSerpentsZealTimerScale:SetHeight(20)
MHSerpentsZealTimerScale:SetOrientation("HORIZONTAL")
MHSerpentsZealTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHSerpentsZealTimerScale:SetMinMaxValues(0.5,2)
MHSerpentsZealTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHSerpentsZealTimerScale:SetScript("OnValueChanged", function (self, value) MHSerpentsZealTimerScaleValue:SetText(string.sub(value, 1, 4)) MHSerpentsZealTimer:SetScale(value) end)
MHSerpentsZealTimerScaleHeader = MHTimersContent:CreateFontString("MHSerpentsZealTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHSerpentsZealTimerScaleHeader:SetPoint("BOTTOMLEFT", MHSerpentsZealTimerScale, "TOPLEFT")
MHSerpentsZealTimerScaleHeader:SetText(L["SCALE"])
MHSerpentsZealTimerScaleValue = MHTimersContent:CreateFontString("MHSerpentsZealTimerScaleValue", "OVERLAY", "GameFontNormal")
MHSerpentsZealTimerScaleValue:SetPoint("BOTTOMRIGHT", MHSerpentsZealTimerScale, "TOPRIGHT")
MHSerpentsZealTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhserpentszealtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHFistsOfFuryTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHFistsOfFuryTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHFistsOfFuryTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHFistsOfFuryTimerShowText:SetText(L["FISTS_OF_FURY"].." "..L["COOLDOWN"])
MHFistsOfFuryTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhfistsoffurytimer)
MHFistsOfFuryTimerShow:CreateTexture("$parentIcon")
MHFistsOfFuryTimerShowIcon:SetTexture("Interface\\Icons\\monk_ability_fistoffury")
MHFistsOfFuryTimerShowIcon:SetWidth(32)
MHFistsOfFuryTimerShowIcon:SetHeight(32)
MHFistsOfFuryTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHFistsOfFuryTimerScale", MHTimersContent)
MHFistsOfFuryTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHFistsOfFuryTimerScale:SetWidth(300)
MHFistsOfFuryTimerScale:SetHeight(20)
MHFistsOfFuryTimerScale:SetOrientation("HORIZONTAL")
MHFistsOfFuryTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHFistsOfFuryTimerScale:SetMinMaxValues(0.5,2)
MHFistsOfFuryTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHFistsOfFuryTimerScale:SetScript("OnValueChanged", function (self, value) MHFistsOfFuryTimerScaleValue:SetText(string.sub(value, 1, 4)) MHFistsOfFuryTimer:SetScale(value) end)
MHFistsOfFuryTimerScaleHeader = MHTimersContent:CreateFontString("MHFistsOfFuryTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHFistsOfFuryTimerScaleHeader:SetPoint("BOTTOMLEFT", MHFistsOfFuryTimerScale, "TOPLEFT")
MHFistsOfFuryTimerScaleHeader:SetText(L["SCALE"])
MHFistsOfFuryTimerScaleValue = MHTimersContent:CreateFontString("MHFistsOfFuryTimerScaleValue", "OVERLAY", "GameFontNormal")
MHFistsOfFuryTimerScaleValue:SetPoint("BOTTOMRIGHT", MHFistsOfFuryTimerScale, "TOPRIGHT")
MHFistsOfFuryTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhfistsoffurytimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHGuardTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHGuardTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHGuardTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHGuardTimerShowText:SetText(L["GUARD"].." "..L["COOLDOWN"])
MHGuardTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhguardtimer)
MHGuardTimerShow:CreateTexture("$parentIcon")
MHGuardTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_guard")
MHGuardTimerShowIcon:SetWidth(32)
MHGuardTimerShowIcon:SetHeight(32)
MHGuardTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHGuardTimerScale", MHTimersContent)
MHGuardTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHGuardTimerScale:SetWidth(300)
MHGuardTimerScale:SetHeight(20)
MHGuardTimerScale:SetOrientation("HORIZONTAL")
MHGuardTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHGuardTimerScale:SetMinMaxValues(0.5,2)
MHGuardTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHGuardTimerScale:SetScript("OnValueChanged", function (self, value) MHGuardTimerScaleValue:SetText(string.sub(value, 1, 4)) MHGuardTimer:SetScale(value) end)
MHGuardTimerScaleHeader = MHTimersContent:CreateFontString("MHGuardTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHGuardTimerScaleHeader:SetPoint("BOTTOMLEFT", MHGuardTimerScale, "TOPLEFT")
MHGuardTimerScaleHeader:SetText(L["SCALE"])
MHGuardTimerScaleValue = MHTimersContent:CreateFontString("MHGuardTimerScaleValue", "OVERLAY", "GameFontNormal")
MHGuardTimerScaleValue:SetPoint("BOTTOMRIGHT", MHGuardTimerScale, "TOPRIGHT")
MHGuardTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhguardtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHShuffleTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHShuffleTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHShuffleTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHShuffleTimerShowText:SetText(L["SHUFFLE"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHShuffleTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhshuffletimer)
MHShuffleTimerShow:CreateTexture("$parentIcon")
MHShuffleTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_shuffle")
MHShuffleTimerShowIcon:SetWidth(32)
MHShuffleTimerShowIcon:SetHeight(32)
MHShuffleTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHShuffleTimerScale", MHTimersContent)
MHShuffleTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHShuffleTimerScale:SetWidth(300)
MHShuffleTimerScale:SetHeight(20)
MHShuffleTimerScale:SetOrientation("HORIZONTAL")
MHShuffleTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHShuffleTimerScale:SetMinMaxValues(0.5,2)
MHShuffleTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHShuffleTimerScale:SetScript("OnValueChanged", function (self, value) MHShuffleTimerScaleValue:SetText(string.sub(value, 1, 4)) MHShuffleTimer:SetScale(value) end)
MHShuffleTimerScaleHeader = MHTimersContent:CreateFontString("MHShuffleTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHShuffleTimerScaleHeader:SetPoint("BOTTOMLEFT", MHShuffleTimerScale, "TOPLEFT")
MHShuffleTimerScaleHeader:SetText(L["SCALE"])
MHShuffleTimerScaleValue = MHTimersContent:CreateFontString("MHShuffleTimerScaleValue", "OVERLAY", "GameFontNormal")
MHShuffleTimerScaleValue:SetPoint("BOTTOMRIGHT", MHShuffleTimerScale, "TOPRIGHT")
MHShuffleTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhshuffletimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHExpelHarmTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHExpelHarmTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHExpelHarmTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHExpelHarmTimerShowText:SetText(L["EXPEL_HARM"].." "..L["COOLDOWN"])
MHExpelHarmTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhexpelharmtimer)
MHExpelHarmTimerShow:CreateTexture("$parentIcon")
MHExpelHarmTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_expelharm")
MHExpelHarmTimerShowIcon:SetWidth(32)
MHExpelHarmTimerShowIcon:SetHeight(32)
MHExpelHarmTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHExpelHarmTimerScale", MHTimersContent)
MHExpelHarmTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHExpelHarmTimerScale:SetWidth(300)
MHExpelHarmTimerScale:SetHeight(20)
MHExpelHarmTimerScale:SetOrientation("HORIZONTAL")
MHExpelHarmTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHExpelHarmTimerScale:SetMinMaxValues(0.5,2)
MHExpelHarmTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHExpelHarmTimerScale:SetScript("OnValueChanged", function (self, value) MHExpelHarmTimerScaleValue:SetText(string.sub(value, 1, 4)) MHExpelHarmTimer:SetScale(value) end)
MHExpelHarmTimerScaleHeader = MHTimersContent:CreateFontString("MHExpelHarmTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHExpelHarmTimerScaleHeader:SetPoint("BOTTOMLEFT", MHExpelHarmTimerScale, "TOPLEFT")
MHExpelHarmTimerScaleHeader:SetText(L["SCALE"])
MHExpelHarmTimerScaleValue = MHTimersContent:CreateFontString("MHExpelHarmTimerScaleValue", "OVERLAY", "GameFontNormal")
MHExpelHarmTimerScaleValue:SetPoint("BOTTOMRIGHT", MHExpelHarmTimerScale, "TOPRIGHT")
MHExpelHarmTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhexpelharmtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTigersLustTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTigersLustTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTigersLustTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigersLustTimerShowText:SetText(L["TIGERS_LUST"].." "..L["COOLDOWN"])
MHTigersLustTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerslusttimer)
MHTigersLustTimerShow:CreateTexture("$parentIcon")
MHTigersLustTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_tigerslust")
MHTigersLustTimerShowIcon:SetWidth(32)
MHTigersLustTimerShowIcon:SetHeight(32)
MHTigersLustTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTigersLustTimerScale", MHTimersContent)
MHTigersLustTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigersLustTimerScale:SetWidth(300)
MHTigersLustTimerScale:SetHeight(20)
MHTigersLustTimerScale:SetOrientation("HORIZONTAL")
MHTigersLustTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTigersLustTimerScale:SetMinMaxValues(0.5,2)
MHTigersLustTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTigersLustTimerScale:SetScript("OnValueChanged", function (self, value) MHTigersLustTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTigersLustTimer:SetScale(value) end)
MHTigersLustTimerScaleHeader = MHTimersContent:CreateFontString("MHTigersLustTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTigersLustTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTigersLustTimerScale, "TOPLEFT")
MHTigersLustTimerScaleHeader:SetText(L["SCALE"])
MHTigersLustTimerScaleValue = MHTimersContent:CreateFontString("MHTigersLustTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTigersLustTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTigersLustTimerScale, "TOPRIGHT")
MHTigersLustTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerslusttimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHChiBrewTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHChiBrewTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHChiBrewTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHChiBrewTimerShowText:SetText(L["CHI_BREW"].." "..L["COOLDOWN"])
MHChiBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhchibrewtimer)
MHChiBrewTimerShow:CreateTexture("$parentIcon")
MHChiBrewTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_chibrew")
MHChiBrewTimerShowIcon:SetWidth(32)
MHChiBrewTimerShowIcon:SetHeight(32)
MHChiBrewTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHChiBrewTimerScale", MHTimersContent)
MHChiBrewTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHChiBrewTimerScale:SetWidth(300)
MHChiBrewTimerScale:SetHeight(20)
MHChiBrewTimerScale:SetOrientation("HORIZONTAL")
MHChiBrewTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHChiBrewTimerScale:SetMinMaxValues(0.5,2)
MHChiBrewTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHChiBrewTimerScale:SetScript("OnValueChanged", function (self, value) MHChiBrewTimerScaleValue:SetText(string.sub(value, 1, 4)) MHChiBrewTimer:SetScale(value) end)
MHChiBrewTimerScaleHeader = MHTimersContent:CreateFontString("MHChiBrewTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHChiBrewTimerScaleHeader:SetPoint("BOTTOMLEFT", MHChiBrewTimerScale, "TOPLEFT")
MHChiBrewTimerScaleHeader:SetText(L["SCALE"])
MHChiBrewTimerScaleValue = MHTimersContent:CreateFontString("MHChiBrewTimerScaleValue", "OVERLAY", "GameFontNormal")
MHChiBrewTimerScaleValue:SetPoint("BOTTOMRIGHT", MHChiBrewTimerScale, "TOPRIGHT")
MHChiBrewTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhchibrewtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHRingOfPeaceTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHRingOfPeaceTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHRingOfPeaceTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRingOfPeaceTimerShowText:SetText(L["RING_OF_PEACE"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHRingOfPeaceTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhringofpeacetimer)
MHRingOfPeaceTimerShow:CreateTexture("$parentIcon")
MHRingOfPeaceTimerShowIcon:SetTexture("Interface\\Icons\\spell_monk_ringofpeace")
MHRingOfPeaceTimerShowIcon:SetWidth(32)
MHRingOfPeaceTimerShowIcon:SetHeight(32)
MHRingOfPeaceTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHRingOfPeaceTimerScale", MHTimersContent)
MHRingOfPeaceTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRingOfPeaceTimerScale:SetWidth(300)
MHRingOfPeaceTimerScale:SetHeight(20)
MHRingOfPeaceTimerScale:SetOrientation("HORIZONTAL")
MHRingOfPeaceTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHRingOfPeaceTimerScale:SetMinMaxValues(0.5,2)
MHRingOfPeaceTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHRingOfPeaceTimerScale:SetScript("OnValueChanged", function (self, value) MHRingOfPeaceTimerScaleValue:SetText(string.sub(value, 1, 4)) MHRingOfPeaceTimer:SetScale(value) end)
MHRingOfPeaceTimerScaleHeader = MHTimersContent:CreateFontString("MHRingOfPeaceTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHRingOfPeaceTimerScaleHeader:SetPoint("BOTTOMLEFT", MHRingOfPeaceTimerScale, "TOPLEFT")
MHRingOfPeaceTimerScaleHeader:SetText(L["SCALE"])
MHRingOfPeaceTimerScaleValue = MHTimersContent:CreateFontString("MHRingOfPeaceTimerScaleValue", "OVERLAY", "GameFontNormal")
MHRingOfPeaceTimerScaleValue:SetPoint("BOTTOMRIGHT", MHRingOfPeaceTimerScale, "TOPRIGHT")
MHRingOfPeaceTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhringofpeacetimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHDiffuseMagicTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHDiffuseMagicTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHDiffuseMagicTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHDiffuseMagicTimerShowText:SetText(L["DIFFUSE_MAGIC"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHDiffuseMagicTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdiffusemagictimer)
MHDiffuseMagicTimerShow:CreateTexture("$parentIcon")
MHDiffuseMagicTimerShowIcon:SetTexture("Interface\\Icons\\spell_monk_diffusemagic")
MHDiffuseMagicTimerShowIcon:SetWidth(32)
MHDiffuseMagicTimerShowIcon:SetHeight(32)
MHDiffuseMagicTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHDiffuseMagicTimerScale", MHTimersContent)
MHDiffuseMagicTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHDiffuseMagicTimerScale:SetWidth(300)
MHDiffuseMagicTimerScale:SetHeight(20)
MHDiffuseMagicTimerScale:SetOrientation("HORIZONTAL")
MHDiffuseMagicTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHDiffuseMagicTimerScale:SetMinMaxValues(0.5,2)
MHDiffuseMagicTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHDiffuseMagicTimerScale:SetScript("OnValueChanged", function (self, value) MHDiffuseMagicTimerScaleValue:SetText(string.sub(value, 1, 4)) MHDiffuseMagicTimer:SetScale(value) end)
MHDiffuseMagicTimerScaleHeader = MHTimersContent:CreateFontString("MHDiffuseMagicTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHDiffuseMagicTimerScaleHeader:SetPoint("BOTTOMLEFT", MHDiffuseMagicTimerScale, "TOPLEFT")
MHDiffuseMagicTimerScaleHeader:SetText(L["SCALE"])
MHDiffuseMagicTimerScaleValue = MHTimersContent:CreateFontString("MHDiffuseMagicTimerScaleValue", "OVERLAY", "GameFontNormal")
MHDiffuseMagicTimerScaleValue:SetPoint("BOTTOMRIGHT", MHDiffuseMagicTimerScale, "TOPRIGHT")
MHDiffuseMagicTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdiffusemagictimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTigereyeBrewTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTigereyeBrewTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTigereyeBrewTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigereyeBrewTimerShowText:SetText(L["TIGEREYE_BREW"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHTigereyeBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigereyebrewtimer)
MHTigereyeBrewTimerShow:CreateTexture("$parentIcon")
MHTigereyeBrewTimerShowIcon:SetTexture(GetSpellTexture(125195))
MHTigereyeBrewTimerShowIcon:SetWidth(32)
MHTigereyeBrewTimerShowIcon:SetHeight(32)
MHTigereyeBrewTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTigereyeBrewTimerScale", MHTimersContent)
MHTigereyeBrewTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigereyeBrewTimerScale:SetWidth(300)
MHTigereyeBrewTimerScale:SetHeight(20)
MHTigereyeBrewTimerScale:SetOrientation("HORIZONTAL")
MHTigereyeBrewTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTigereyeBrewTimerScale:SetMinMaxValues(0.5,2)
MHTigereyeBrewTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTigereyeBrewTimerScale:SetScript("OnValueChanged", function (self, value) MHTigereyeBrewTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTigereyeBrewTimer:SetScale(value) end)
MHTigereyeBrewTimerScaleHeader = MHTimersContent:CreateFontString("MHTigereyeBrewTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTigereyeBrewTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTigereyeBrewTimerScale, "TOPLEFT")
MHTigereyeBrewTimerScaleHeader:SetText(L["SCALE"])
MHTigereyeBrewTimerScaleValue = MHTimersContent:CreateFontString("MHTigereyeBrewTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTigereyeBrewTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTigereyeBrewTimerScale, "TOPRIGHT")
MHTigereyeBrewTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigereyebrewtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHElusiveBrewTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHElusiveBrewTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHElusiveBrewTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHElusiveBrewTimerShowText:SetText(L["ELUSIVE_BREW"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHElusiveBrewTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhelusivebrewtimer)
MHElusiveBrewTimerShow:CreateTexture("$parentIcon")
MHElusiveBrewTimerShowIcon:SetTexture(GetSpellTexture(128939))
MHElusiveBrewTimerShowIcon:SetWidth(32)
MHElusiveBrewTimerShowIcon:SetHeight(32)
MHElusiveBrewTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHElusiveBrewTimerScale", MHTimersContent)
MHElusiveBrewTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHElusiveBrewTimerScale:SetWidth(300)
MHElusiveBrewTimerScale:SetHeight(20)
MHElusiveBrewTimerScale:SetOrientation("HORIZONTAL")
MHElusiveBrewTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHElusiveBrewTimerScale:SetMinMaxValues(0.5,2)
MHElusiveBrewTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHElusiveBrewTimerScale:SetScript("OnValueChanged", function (self, value) MHElusiveBrewTimerScaleValue:SetText(string.sub(value, 1, 4)) MHElusiveBrewTimer:SetScale(value) end)
MHElusiveBrewTimerScaleHeader = MHTimersContent:CreateFontString("MHElusiveBrewTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHElusiveBrewTimerScaleHeader:SetPoint("BOTTOMLEFT", MHElusiveBrewTimerScale, "TOPLEFT")
MHElusiveBrewTimerScaleHeader:SetText(L["SCALE"])
MHElusiveBrewTimerScaleValue = MHTimersContent:CreateFontString("MHElusiveBrewTimerScaleValue", "OVERLAY", "GameFontNormal")
MHElusiveBrewTimerScaleValue:SetPoint("BOTTOMRIGHT", MHElusiveBrewTimerScale, "TOPRIGHT")
MHElusiveBrewTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhelusivebrewtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHManaTeaTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHManaTeaTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHManaTeaTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHManaTeaTimerShowText:SetText(L["MANA_TEA"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHManaTeaTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhmanateatimer)
MHManaTeaTimerShow:CreateTexture("$parentIcon")
MHManaTeaTimerShowIcon:SetTexture(GetSpellTexture(115867))
MHManaTeaTimerShowIcon:SetWidth(32)
MHManaTeaTimerShowIcon:SetHeight(32)
MHManaTeaTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHManaTeaTimerScale", MHTimersContent)
MHManaTeaTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHManaTeaTimerScale:SetWidth(300)
MHManaTeaTimerScale:SetHeight(20)
MHManaTeaTimerScale:SetOrientation("HORIZONTAL")
MHManaTeaTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHManaTeaTimerScale:SetMinMaxValues(0.5,2)
MHManaTeaTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHManaTeaTimerScale:SetScript("OnValueChanged", function (self, value) MHManaTeaTimerScaleValue:SetText(string.sub(value, 1, 4)) MHManaTeaTimer:SetScale(value) end)
MHManaTeaTimerScaleHeader = MHTimersContent:CreateFontString("MHManaTeaTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHManaTeaTimerScaleHeader:SetPoint("BOTTOMLEFT", MHManaTeaTimerScale, "TOPLEFT")
MHManaTeaTimerScaleHeader:SetText(L["SCALE"])
MHManaTeaTimerScaleValue = MHTimersContent:CreateFontString("MHManaTeaTimerScaleValue", "OVERLAY", "GameFontNormal")
MHManaTeaTimerScaleValue:SetPoint("BOTTOMRIGHT", MHManaTeaTimerScale, "TOPRIGHT")
MHManaTeaTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhmanateatimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHDetoxTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHDetoxTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHDetoxTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHDetoxTimerShowText:SetText(L["DETOX"].." "..L["COOLDOWN"])
MHDetoxTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtimer)
MHDetoxTimerShow:CreateTexture("$parentIcon")
MHDetoxTimerShowIcon:SetTexture(GetSpellTexture(MHSpellID["MHDetoxTimer"]))
MHDetoxTimerShowIcon:SetWidth(32)
MHDetoxTimerShowIcon:SetHeight(32)
MHDetoxTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHDetoxTimerScale", MHTimersContent)
MHDetoxTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHDetoxTimerScale:SetWidth(300)
MHDetoxTimerScale:SetHeight(20)
MHDetoxTimerScale:SetOrientation("HORIZONTAL")
MHDetoxTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHDetoxTimerScale:SetMinMaxValues(0.5,2)
MHDetoxTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHDetoxTimerScale:SetScript("OnValueChanged", function (self, value) MHDetoxTimerScaleValue:SetText(string.sub(value, 1, 4)) MHDetoxTimer:SetScale(value) end)
MHDetoxTimerScaleHeader = MHTimersContent:CreateFontString("MHDetoxTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHDetoxTimerScaleHeader:SetPoint("BOTTOMLEFT", MHDetoxTimerScale, "TOPLEFT")
MHDetoxTimerScaleHeader:SetText(L["SCALE"])
MHDetoxTimerScaleValue = MHTimersContent:CreateFontString("MHDetoxTimerScaleValue", "OVERLAY", "GameFontNormal")
MHDetoxTimerScaleValue:SetPoint("BOTTOMRIGHT", MHDetoxTimerScale, "TOPRIGHT")
MHDetoxTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdetoxtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHRollTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHRollTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHRollTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRollTimerShowText:SetText(L["ROLL"].." "..L["COOLDOWN"])
MHRollTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhrolltimer)
MHRollTimerShow:CreateTexture("$parentIcon")
MHRollTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_roll")
MHRollTimerShowIcon:SetWidth(32)
MHRollTimerShowIcon:SetHeight(32)
MHRollTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHRollTimerScale", MHTimersContent)
MHRollTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHRollTimerScale:SetWidth(300)
MHRollTimerScale:SetHeight(20)
MHRollTimerScale:SetOrientation("HORIZONTAL")
MHRollTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHRollTimerScale:SetMinMaxValues(0.5,2)
MHRollTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHRollTimerScale:SetScript("OnValueChanged", function (self, value) MHRollTimerScaleValue:SetText(string.sub(value, 1, 4)) MHRollTimer:SetScale(value) end)
MHRollTimerScaleHeader = MHTimersContent:CreateFontString("MHRollTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHRollTimerScaleHeader:SetPoint("BOTTOMLEFT", MHRollTimerScale, "TOPLEFT")
MHRollTimerScaleHeader:SetText(L["SCALE"])
MHRollTimerScaleValue = MHTimersContent:CreateFontString("MHRollTimerScaleValue", "OVERLAY", "GameFontNormal")
MHRollTimerScaleValue:SetPoint("BOTTOMRIGHT", MHRollTimerScale, "TOPRIGHT")
MHRollTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhrolltimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHProvokeTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHProvokeTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHProvokeTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHProvokeTimerShowText:SetText(L["PROVOKE"].." "..L["COOLDOWN"])
MHProvokeTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhprovoketimer)
MHProvokeTimerShow:CreateTexture("$parentIcon")
MHProvokeTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_provoke")
MHProvokeTimerShowIcon:SetWidth(32)
MHProvokeTimerShowIcon:SetHeight(32)
MHProvokeTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHProvokeTimerScale", MHTimersContent)
MHProvokeTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHProvokeTimerScale:SetWidth(300)
MHProvokeTimerScale:SetHeight(20)
MHProvokeTimerScale:SetOrientation("HORIZONTAL")
MHProvokeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHProvokeTimerScale:SetMinMaxValues(0.5,2)
MHProvokeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHProvokeTimerScale:SetScript("OnValueChanged", function (self, value) MHProvokeTimerScaleValue:SetText(string.sub(value, 1, 4)) MHProvokeTimer:SetScale(value) end)
MHProvokeTimerScaleHeader = MHTimersContent:CreateFontString("MHProvokeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHProvokeTimerScaleHeader:SetPoint("BOTTOMLEFT", MHProvokeTimerScale, "TOPLEFT")
MHProvokeTimerScaleHeader:SetText(L["SCALE"])
MHProvokeTimerScaleValue = MHTimersContent:CreateFontString("MHProvokeTimerScaleValue", "OVERLAY", "GameFontNormal")
MHProvokeTimerScaleValue:SetPoint("BOTTOMRIGHT", MHProvokeTimerScale, "TOPRIGHT")
MHProvokeTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhprovoketimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHSpearHandStrikeTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHSpearHandStrikeTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHSpearHandStrikeTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHSpearHandStrikeTimerShowText:SetText(L["SPEAR_HAND_STRIKE"].." "..L["COOLDOWN"])
MHSpearHandStrikeTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhspearhandstriketimer)
MHSpearHandStrikeTimerShow:CreateTexture("$parentIcon")
MHSpearHandStrikeTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_spearhand")
MHSpearHandStrikeTimerShowIcon:SetWidth(32)
MHSpearHandStrikeTimerShowIcon:SetHeight(32)
MHSpearHandStrikeTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHSpearHandStrikeTimerScale", MHTimersContent)
MHSpearHandStrikeTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHSpearHandStrikeTimerScale:SetWidth(300)
MHSpearHandStrikeTimerScale:SetHeight(20)
MHSpearHandStrikeTimerScale:SetOrientation("HORIZONTAL")
MHSpearHandStrikeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHSpearHandStrikeTimerScale:SetMinMaxValues(0.5,2)
MHSpearHandStrikeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHSpearHandStrikeTimerScale:SetScript("OnValueChanged", function (self, value) MHSpearHandStrikeTimerScaleValue:SetText(string.sub(value, 1, 4)) MHSpearHandStrikeTimer:SetScale(value) end)
MHSpearHandStrikeTimerScaleHeader = MHTimersContent:CreateFontString("MHSpearHandStrikeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHSpearHandStrikeTimerScaleHeader:SetPoint("BOTTOMLEFT", MHSpearHandStrikeTimerScale, "TOPLEFT")
MHSpearHandStrikeTimerScaleHeader:SetText(L["SCALE"])
MHSpearHandStrikeTimerScaleValue = MHTimersContent:CreateFontString("MHSpearHandStrikeTimerScaleValue", "OVERLAY", "GameFontNormal")
MHSpearHandStrikeTimerScaleValue:SetPoint("BOTTOMRIGHT", MHSpearHandStrikeTimerScale, "TOPRIGHT")
MHSpearHandStrikeTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhspearhandstriketimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHZenMeditationTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHZenMeditationTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHZenMeditationTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHZenMeditationTimerShowText:SetText(L["ZEN_MEDITATION"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHZenMeditationTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhzenmeditationtimer)
MHZenMeditationTimerShow:CreateTexture("$parentIcon")
MHZenMeditationTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_zenmeditation")
MHZenMeditationTimerShowIcon:SetWidth(32)
MHZenMeditationTimerShowIcon:SetHeight(32)
MHZenMeditationTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHZenMeditationTimerScale", MHTimersContent)
MHZenMeditationTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHZenMeditationTimerScale:SetWidth(300)
MHZenMeditationTimerScale:SetHeight(20)
MHZenMeditationTimerScale:SetOrientation("HORIZONTAL")
MHZenMeditationTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHZenMeditationTimerScale:SetMinMaxValues(0.5,2)
MHZenMeditationTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHZenMeditationTimerScale:SetScript("OnValueChanged", function (self, value) MHZenMeditationTimerScaleValue:SetText(string.sub(value, 1, 4)) MHZenMeditationTimer:SetScale(value) end)
MHZenMeditationTimerScaleHeader = MHTimersContent:CreateFontString("MHZenMeditationTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHZenMeditationTimerScaleHeader:SetPoint("BOTTOMLEFT", MHZenMeditationTimerScale, "TOPLEFT")
MHZenMeditationTimerScaleHeader:SetText(L["SCALE"])
MHZenMeditationTimerScaleValue = MHTimersContent:CreateFontString("MHZenMeditationTimerScaleValue", "OVERLAY", "GameFontNormal")
MHZenMeditationTimerScaleValue:SetPoint("BOTTOMRIGHT", MHZenMeditationTimerScale, "TOPRIGHT")
MHZenMeditationTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhzenmeditationtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTranscendenceTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTranscendenceTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTranscendenceTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTranscendenceTimerShowText:SetText(L["TRANSCENDENCE"].." "..L["COOLDOWN"])
MHTranscendenceTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetimer)
MHTranscendenceTimerShow:CreateTexture("$parentIcon")
MHTranscendenceTimerShowIcon:SetTexture("Interface\\Icons\\monk_ability_transcendence")
MHTranscendenceTimerShowIcon:SetWidth(32)
MHTranscendenceTimerShowIcon:SetHeight(32)
MHTranscendenceTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTranscendenceTimerScale", MHTimersContent)
MHTranscendenceTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTranscendenceTimerScale:SetWidth(300)
MHTranscendenceTimerScale:SetHeight(20)
MHTranscendenceTimerScale:SetOrientation("HORIZONTAL")
MHTranscendenceTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTranscendenceTimerScale:SetMinMaxValues(0.5,2)
MHTranscendenceTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTranscendenceTimerScale:SetScript("OnValueChanged", function (self, value) MHTranscendenceTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTranscendenceTimer:SetScale(value) end)
MHTranscendenceTimerScaleHeader = MHTimersContent:CreateFontString("MHTranscendenceTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTranscendenceTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTranscendenceTimerScale, "TOPLEFT")
MHTranscendenceTimerScaleHeader:SetText(L["SCALE"])
MHTranscendenceTimerScaleValue = MHTimersContent:CreateFontString("MHTranscendenceTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTranscendenceTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTranscendenceTimerScale, "TOPRIGHT")
MHTranscendenceTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTranscendenceTransferTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTranscendenceTransferTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTranscendenceTransferTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTranscendenceTransferTimerShowText:SetText(L["TRANSCENDENCE_TRANSFER"].." "..L["COOLDOWN"])
MHTranscendenceTransferTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtranscendencetransfertimer)
MHTranscendenceTransferTimerShow:CreateTexture("$parentIcon")
MHTranscendenceTransferTimerShowIcon:SetTexture("Interface\\Icons\\spell_shaman_spectraltransformation")
MHTranscendenceTransferTimerShowIcon:SetWidth(32)
MHTranscendenceTransferTimerShowIcon:SetHeight(32)
MHTranscendenceTransferTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTranscendenceTransferTimerScale", MHTimersContent)
MHTranscendenceTransferTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTranscendenceTransferTimerScale:SetWidth(300)
MHTranscendenceTransferTimerScale:SetHeight(20)
MHTranscendenceTransferTimerScale:SetOrientation("HORIZONTAL")
MHTranscendenceTransferTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTranscendenceTransferTimerScale:SetMinMaxValues(0.5,2)
MHTranscendenceTransferTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTranscendenceTransferTimerScale:SetScript("OnValueChanged", function (self, value) MHTranscendenceTransferTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTranscendenceTransferTimer:SetScale(value) end)
MHTranscendenceTransferTimerScaleHeader = MHTimersContent:CreateFontString("MHTranscendenceTransferTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTranscendenceTransferTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTranscendenceTransferTimerScale, "TOPLEFT")
MHTranscendenceTransferTimerScaleHeader:SetText(L["SCALE"])
MHTranscendenceTransferTimerScaleValue = MHTimersContent:CreateFontString("MHTranscendenceTransferTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTranscendenceTransferTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTranscendenceTransferTimerScale, "TOPRIGHT")
MHTranscendenceTransferTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtranscendencetransfertimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHVitalMistsTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHVitalMistsTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHVitalMistsTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHVitalMistsTimerShowText:SetText(L["VITAL_MISTS"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHVitalMistsTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhvitalmiststimer)
MHVitalMistsTimerShow:CreateTexture("$parentIcon")
MHVitalMistsTimerShowIcon:SetTexture("Interface\\Icons\\ability_shaman_repulsiontotem")
MHVitalMistsTimerShowIcon:SetWidth(32)
MHVitalMistsTimerShowIcon:SetHeight(32)
MHVitalMistsTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHVitalMistsTimerScale", MHTimersContent)
MHVitalMistsTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHVitalMistsTimerScale:SetWidth(300)
MHVitalMistsTimerScale:SetHeight(20)
MHVitalMistsTimerScale:SetOrientation("HORIZONTAL")
MHVitalMistsTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHVitalMistsTimerScale:SetMinMaxValues(0.5,2)
MHVitalMistsTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHVitalMistsTimerScale:SetScript("OnValueChanged", function (self, value) MHVitalMistsTimerScaleValue:SetText(string.sub(value, 1, 4)) MHVitalMistsTimer:SetScale(value) end)
MHVitalMistsTimerScaleHeader = MHTimersContent:CreateFontString("MHVitalMistsTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHVitalMistsTimerScaleHeader:SetPoint("BOTTOMLEFT", MHVitalMistsTimerScale, "TOPLEFT")
MHVitalMistsTimerScaleHeader:SetText(L["SCALE"])
MHVitalMistsTimerScaleValue = MHTimersContent:CreateFontString("MHVitalMistsTimerScaleValue", "OVERLAY", "GameFontNormal")
MHVitalMistsTimerScaleValue:SetPoint("BOTTOMRIGHT", MHVitalMistsTimerScale, "TOPRIGHT")
MHVitalMistsTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhvitalmiststimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHBlackoutKickTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHBlackoutKickTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHBlackoutKickTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHBlackoutKickTimerShowText:SetText(L["COMBO_BREAKER_BLACKOUT_KICK"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHBlackoutKickTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhblackoutkicktimer)
MHBlackoutKickTimerShow:CreateTexture("$parentIcon")
MHBlackoutKickTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_roundhousekick")
MHBlackoutKickTimerShowIcon:SetWidth(32)
MHBlackoutKickTimerShowIcon:SetHeight(32)
MHBlackoutKickTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHBlackoutKickTimerScale", MHTimersContent)
MHBlackoutKickTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHBlackoutKickTimerScale:SetWidth(300)
MHBlackoutKickTimerScale:SetHeight(20)
MHBlackoutKickTimerScale:SetOrientation("HORIZONTAL")
MHBlackoutKickTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHBlackoutKickTimerScale:SetMinMaxValues(0.5,2)
MHBlackoutKickTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHBlackoutKickTimerScale:SetScript("OnValueChanged", function (self, value) MHBlackoutKickTimerScaleValue:SetText(string.sub(value, 1, 4)) MHBlackoutKickTimer:SetScale(value) end)
MHBlackoutKickTimerScaleHeader = MHTimersContent:CreateFontString("MHBlackoutKickTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHBlackoutKickTimerScaleHeader:SetPoint("BOTTOMLEFT", MHBlackoutKickTimerScale, "TOPLEFT")
MHBlackoutKickTimerScaleHeader:SetText(L["SCALE"])
MHBlackoutKickTimerScaleValue = MHTimersContent:CreateFontString("MHBlackoutKickTimerScaleValue", "OVERLAY", "GameFontNormal")
MHBlackoutKickTimerScaleValue:SetPoint("BOTTOMRIGHT", MHBlackoutKickTimerScale, "TOPRIGHT")
MHBlackoutKickTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhblackoutkicktimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHTigerPalmTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHTigerPalmTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHTigerPalmTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigerPalmTimerShowText:SetText(L["COMBO_BREAKER_TIGER_PALM"].." "..L["TIMER"].." ("..L["BUFF"]..")")
MHTigerPalmTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhtigerpalmtimer)
MHTigerPalmTimerShow:CreateTexture("$parentIcon")
MHTigerPalmTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
MHTigerPalmTimerShowIcon:SetWidth(32)
MHTigerPalmTimerShowIcon:SetHeight(32)
MHTigerPalmTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHTigerPalmTimerScale", MHTimersContent)
MHTigerPalmTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHTigerPalmTimerScale:SetWidth(300)
MHTigerPalmTimerScale:SetHeight(20)
MHTigerPalmTimerScale:SetOrientation("HORIZONTAL")
MHTigerPalmTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHTigerPalmTimerScale:SetMinMaxValues(0.5,2)
MHTigerPalmTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHTigerPalmTimerScale:SetScript("OnValueChanged", function (self, value) MHTigerPalmTimerScaleValue:SetText(string.sub(value, 1, 4)) MHTigerPalmTimer:SetScale(value) end)
MHTigerPalmTimerScaleHeader = MHTimersContent:CreateFontString("MHTigerPalmTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHTigerPalmTimerScaleHeader:SetPoint("BOTTOMLEFT", MHTigerPalmTimerScale, "TOPLEFT")
MHTigerPalmTimerScaleHeader:SetText(L["SCALE"])
MHTigerPalmTimerScaleValue = MHTimersContent:CreateFontString("MHTigerPalmTimerScaleValue", "OVERLAY", "GameFontNormal")
MHTigerPalmTimerScaleValue:SetPoint("BOTTOMRIGHT", MHTigerPalmTimerScale, "TOPRIGHT")
MHTigerPalmTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhtigerpalmtimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MonkHelper_BarStyle("MHXuenTimer", MHTimersContent, y)
CreateFrame("CheckButton", "MHXuenTimerShow", MHTimersContent, "ChatConfigCheckButtonTemplate")
MHXuenTimerShow:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHXuenTimerShowText:SetText(L["XUEN"].." "..L["TIMER"].." ("..L["DURATION"]..")")
MHXuenTimerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhxuentimer)
MHXuenTimerShow:CreateTexture("$parentIcon")
MHXuenTimerShowIcon:SetTexture("Interface\\Icons\\ability_monk_summontigerstatue")
MHXuenTimerShowIcon:SetWidth(32)
MHXuenTimerShowIcon:SetHeight(32)
MHXuenTimerShowIcon:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
CreateFrame("Slider","MHXuenTimerScale", MHTimersContent)
MHXuenTimerScale:SetPoint("TOPLEFT", MHTimersContent, "TOPLEFT", x, y)
MHXuenTimerScale:SetWidth(300)
MHXuenTimerScale:SetHeight(20)
MHXuenTimerScale:SetOrientation("HORIZONTAL")
MHXuenTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHXuenTimerScale:SetMinMaxValues(0.5,2)
MHXuenTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHXuenTimerScale:SetScript("OnValueChanged", function (self, value) MHXuenTimerScaleValue:SetText(string.sub(value, 1, 4)) MHXuenTimer:SetScale(value) end)
MHXuenTimerScaleHeader = MHTimersContent:CreateFontString("MHXuenTimerScaleHeader", "OVERLAY", "GameFontNormal")
MHXuenTimerScaleHeader:SetPoint("BOTTOMLEFT", MHXuenTimerScale, "TOPLEFT")
MHXuenTimerScaleHeader:SetText(L["SCALE"])
MHXuenTimerScaleValue = MHTimersContent:CreateFontString("MHXuenTimerScaleValue", "OVERLAY", "GameFontNormal")
MHXuenTimerScaleValue:SetPoint("BOTTOMRIGHT", MHXuenTimerScale, "TOPRIGHT")
MHXuenTimerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhxuentimer, 1, 4))
--------------------------------------------------------------------------------------------------------------

MonkHelper.timers:Hide()
--------------------------------------------------------------------------------
MHTimersScroll:SetMinMaxValues(0, (abs(y)/60)*50 + 200)
MHTimersScroll:SetValue(0)
end

end