_, class = UnitClass("player")
if class == "MONK" then

local ADDON_NAME, namespace = ...
local L = namespace.L

MHStaggerID = {
["light stagger"] = 124275,
["moderate stagger"] = 124274,
["heavy stagger"] = 124273,
}

local updateclasses = false
local detoxunitsloaded = false
local setunits = false
MHsetdetoxtracker = false

local Group = {}
MHDetoxTrackerUnit = {}

function MonkHelper_TrackersOnUpdate(elapsed)

if MHDetoxTracker:IsShown() and MHtimerbypass == 0 then
for idx = 1, #Group do
if IsSpellInRange(GetSpellInfo(MHSpellID["MHDetoxTimer"]), Group[idx]) == 1 then
_G[MHDetoxTrackerUnit[idx]:GetName().."BG"]:SetVertexColor(1, 1, 1)
else
_G[MHDetoxTrackerUnit[idx]:GetName().."BG"]:SetVertexColor(1, 0, 0)
end
end
end

end

function MonkHelper_UpdateStaggerTracker()
local staggeramount

if MHsetdetoxtracker == true then
if UnitAffectingCombat("player") == false then
MHsetdetoxtracker = false
MonkHelper_Show(MHDetoxTracker, MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtracker)
MHDetoxTracker:SetScale(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdetoxtracker)
end
end

if setunits == true then
if UnitAffectingCombat("player") == false then
MonkHelper_UpdateGroup()
setunits = false
end
end

if updateclasses == true then
updateclasses = false
MonkHelper_UpdateDetoxTrackerUnits()
end

if UnitDebuff("player", GetSpellInfo(MHStaggerID["light stagger"])) then
staggeramount = select(16, UnitDebuff("player", GetSpellInfo(MHStaggerID["light stagger"])))
elseif UnitDebuff("player", GetSpellInfo(MHStaggerID["moderate stagger"])) then
staggeramount = select(16, UnitDebuff("player", GetSpellInfo(MHStaggerID["moderate stagger"])))
elseif UnitDebuff("player", GetSpellInfo(MHStaggerID["heavy stagger"])) then
staggeramount = select(16, UnitDebuff("player", GetSpellInfo(MHStaggerID["heavy stagger"])))
end
if staggeramount == nil then staggeramount = 0 end
local health = UnitHealthMax("player")
local hp = UnitHealth("player")
local hppercent = MonkHelper_ShortNumber(hp/health)
if hp == nil then hp = 0 end
if hppercent == nil then hppercent = 0 end
if staggeramount/health >= 0.60 then
MHStaggerTrackerIcon:SetTexture("Interface\\Icons\\priest_icon_chakra_red")
elseif staggeramount/health >= 0.30 then
MHStaggerTrackerIcon:SetTexture("Interface\\Icons\\priest_icon_chakra_green")
else
MHStaggerTrackerIcon:SetTexture("Interface\\Icons\\priest_icon_chakra")
end
local staggerpercent
staggerpercent = staggeramount / health
if staggerpercent > 0.001 then
staggerpercent = MonkHelper_ShortNumber(staggerpercent)
elseif staggerpercent ~= 0 then
staggerpercent = 0.1
end
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent == 1 and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber == 0 then
MHStaggerTrackerText:SetText(staggerpercent.."%")
elseif MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent == 0 and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber == 1 then
MHStaggerTrackerText:SetText(MonkHelper_CondenseNumber(staggeramount))
elseif MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent == 1 and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber == 1 then
MHStaggerTrackerText:SetText(MonkHelper_CondenseNumber(staggeramount).."("..staggerpercent.."%)")
else
MHStaggerTrackerText:SetText("")
end

end

function MonkHelper_UpdateDetoxTrackerCooldowns(cd)
if cd == 0 then cd = 0.001 end
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtracker == true then
if #MHDetoxTrackerUnit > 0 then
for idx = 1, #MHDetoxTrackerUnit do
if MHDetoxTrackerUnit[idx]:GetAlpha() ~= 0 then
_G[MHDetoxTrackerUnit[idx]:GetName().."Cooldown"]:SetCooldown(GetTime(), cd)
end
end
end
end
end

function MonkHelper_UpdateGroup()
Group = {}
local unit, num
if GetNumGroupMembers() > 0 then
if IsInRaid("player") then
unit = "raid"
num = 40
else
unit = "party"
num = 4
table.insert(Group, "player")
end
end
if GetNumGroupMembers() == 0 then
table.insert(Group, "player")
MonkHelper_UpdateDetoxTrackerUnits()
return
end
for idx = 1, num do
if UnitExists(unit..idx) then
table.insert(Group, unit..idx)
end
end
MonkHelper_UpdateDetoxTrackerUnits()
end

function MonkHelper_UpdateDetoxTrackerUnits()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}

if #MHDetoxTrackerUnit > 0 then
for idx = 1, #MHDetoxTrackerUnit do
MHDetoxTrackerUnit[idx]:SetAlpha(0)
end
end

for idx = 1, 40 do
MHDetoxTrackerUnit[idx]:SetScript("OnEnter", nil)
end

if #Group > 0 then
for idx = 1, #Group do
local classcolor = MHClassColor[select(2, UnitClass(Group[idx]))]
if classcolor == nil then classcolor = "ffffffff" end
MHDetoxTrackerUnit[idx]:SetAlpha(1)
MHDetoxTrackerUnit[idx]:SetScript("OnEnter", function(self)
GameTooltip:ClearAllPoints()
GameTooltip:SetOwner(self)
if Group[idx] ~= nil then
GameTooltip:SetText("|c"..classcolor..UnitName(Group[idx]).."|r")
else
GameTooltip:SetText("???")
end
GameTooltip:Show()
end)
local _, class = UnitClass(Group[idx])
if class ~= nil then
_G[MHDetoxTrackerUnit[idx]:GetName().."BG"]:SetTexture("Interface\\GLUES\\CHARACTERCREATE\\UI-CHARACTERCREATE-CLASSES")
_G[MHDetoxTrackerUnit[idx]:GetName().."BG"]:SetTexCoord(unpack(CLASS_ICON_TCOORDS[class]))
else
updateclasses = true
end
end
detoxunitsloaded = true -- some of the icons might not be loaded properly because of the following combat conditional(problem with taint if group comp changes in combat without conditional)
end

if UnitAffectingCombat("player") == false then
if #Group >= 8 then
MHDetoxTracker:SetWidth((8 * 20) + ((8 * 3) + 9))
else
MHDetoxTracker:SetWidth((#Group * 20) + ((#Group * 3) + 9))
end
MHDetoxTracker:SetHeight((math.ceil(#Group / 8) * 20) + ((math.ceil(#Group / 8) * 3) + 9))
MHDetoxTrackerBG:SetWidth(MHDetoxTracker:GetWidth() - 5)
MHDetoxTrackerBG:SetHeight(MHDetoxTracker:GetHeight() - 5)
MHDetoxTrackerBG:SetTexture(0, 0, 0, 0.6)
MHDetoxTrackerBG:SetPoint("CENTER")
MHDetoxTracker:SetBackdrop(backdrop)
for idx = 1, #Group do
MHDetoxTrackerUnit[idx]:SetAttribute("unit", Group[idx])
MHDetoxTrackerUnit[idx]:Enable()
end
if #Group ~= 40 then
for idx = #Group + 1, 40 do
MHDetoxTrackerUnit[idx]:Disable()
end
end
setunits = false
else
setunits = true
end
end

function MonkHelper_UpdateDetoxTracker()
for idx = 1, #Group do
local index = idx
for idx = 1, 40 do 
local name, _, _, _, debufftype = UnitDebuff(Group[index], idx)
if debufftype == "Disease" or debufftype == "Poison" or (debufftype == "Magic" and MHSpec == "Mistweaver") then
ActionButton_ShowOverlayGlow(MHDetoxTrackerUnit[index])
break
else
ActionButton_HideOverlayGlow(MHDetoxTrackerUnit[index])
end
if name == nil then break end
end
end
end

function MonkHelper_GetGUID(guid, tbl)

if #tbl > 0 then
for idx = 1, #tbl do
if tbl[idx].guid == guid then
return tbl[idx].guid
end
end
end
return 0
end

function MonkHelper_CreateTrackersUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

-- Create Stagger Tracker
CreateFrame("Frame", "MHStaggerTracker", UIParent)

MHStaggerTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MHtimerbypass == 0 and self:IsShown() then

if event == "UNIT_AURA" and arg1 == "player" then
MonkHelper_UpdateStaggerTracker()
elseif event == "UNIT_HEALTH_FREQUENT" and arg1 == "player" then
MonkHelper_UpdateStaggerTracker()
end

end
end)

MHStaggerTracker:RegisterEvent("UNIT_AURA")
MHStaggerTracker:RegisterEvent("UNIT_HEALTH_FREQUENT")

MHStaggerTracker:SetPoint("CENTER")
MHStaggerTracker:SetWidth(28)
MHStaggerTracker:SetHeight(28)
MHStaggerTracker:CreateTexture("$parentIcon")
MHStaggerTrackerIcon:SetTexture("Interface\\Icons\\priest_icon_chakra")
MHStaggerTrackerIcon:SetWidth(28)
MHStaggerTrackerIcon:SetHeight(28)
MHStaggerTrackerIcon:SetPoint("CENTER", MHStaggerTracker, "CENTER")
MHStaggerTracker:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MHStaggerTrackerText:SetPoint("LEFT", MHStaggerTracker, "RIGHT", 5, 0)
MHStaggerTrackerText:SetTextColor(1, 1, 1)
MHStaggerTrackerText:SetJustifyH("LEFT")
MHStaggerTrackerText:SetText("")


-- Create Detox Tracker
CreateFrame("Frame", "MHDetoxTracker", UIParent) -- Most of detox tracker is created in MonkHelperCore.lua in the addon loaded section

MHDetoxTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)

if event == "MODIFIER_STATE_CHANGED" and (arg1 == "LCTRL" or arg1 == "RCTRL") and UnitAffectingCombat("player") == false then
if arg2 == 0 then
for idx = 1, 40 do
MHDetoxTrackerUnit[idx]:EnableMouse(true)
end
elseif arg2 == 1 and UnitAffectingCombat("player") == false then
for idx = 1, 40 do
MHDetoxTrackerUnit[idx]:EnableMouse(false)
end
end
end

if MHtimerbypass == 0 and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtracker == true then

if event == "PLAYER_REGEN_DISABLED" then
for idx = 1, 40 do
MHDetoxTrackerUnit[idx]:EnableMouse(true)
end

elseif event == "GROUP_ROSTER_CHANGED" then
MonkHelper_UpdateGroup()

elseif event == "GROUP_ROSTER_UPDATE" then
MonkHelper_UpdateGroup()
end

if event == "UNIT_AURA" and detoxunitsloaded == true then
MonkHelper_UpdateDetoxTracker()
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" and arg2 == "SPELL_DISPEL" and arg4 == UnitGUID("player") and arg12 == MHSpellID["MHDetoxTimer"] then
print(L["REMOVED"]..GetSpellLink(arg15))
end

end
end)

MHDetoxTracker:RegisterEvent("PLAYER_REGEN_DISABLED")
MHDetoxTracker:RegisterEvent("MODIFIER_STATE_CHANGED")
MHDetoxTracker:RegisterEvent("GROUP_ROSTER_UPDATE")
MHDetoxTracker:RegisterEvent("GROUP_ROSTER_CHANGED")
MHDetoxTracker:RegisterEvent("VARIABLES_LOADED")
MHDetoxTracker:RegisterEvent("UNIT_AURA")
MHDetoxTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")


MHDetoxTracker:SetPoint("CENTER")
MHDetoxTracker:SetWidth(32)
MHDetoxTracker:SetHeight(32)
MHDetoxTracker:SetBackdrop(backdrop)
MHDetoxTracker:CreateTexture("$parentBG")
MHDetoxTrackerBG:SetWidth(MHDetoxTracker:GetWidth() - 5)
MHDetoxTrackerBG:SetHeight(MHDetoxTracker:GetHeight() - 5)
MHDetoxTrackerBG:SetPoint("CENTER")
MHDetoxTrackerBG:SetTexture(0, 0, 0, 0.6)

MHDetoxTracker:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MHDetoxTrackerHeader:SetPoint("BOTTOM", MHDetoxTracker, "TOP", 0, 1)
MHDetoxTrackerHeader:SetTextColor(0, 1, 1)
MHDetoxTrackerHeader:SetText(L["DETOX"].." "..L["TRACKER"])
MHDetoxTrackerHeader:Hide()

MonkHelper_SetupFrame(MHStaggerTracker)
MonkHelper_SetupFrame(MHDetoxTracker)

end

function MonkHelper_CreateTrackersOptionsMenu()

--Trackers---------------------------------------------------------------
MonkHelper.trackers = CreateFrame("Frame", "MHTrackersOptions", MHOptionsFrame)
MonkHelper.trackers:SetWidth(625)
MonkHelper.trackers:SetHeight(570)
MonkHelper.trackers:SetPoint("LEFT", MHOptionsFrameButtons, "RIGHT", 5, 0)
MonkHelper.trackers.name = L["TRACKERS"]
MonkHelper.trackers:SetFrameLevel(4)

MHTrackersScrollFrame = CreateFrame("ScrollFrame", "MHTrackersScrollFrame", MonkHelper.trackers)
MHTrackersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MHTrackersScrollFrame:SetPoint("BOTTOMRIGHT", -15, 15) 

MHTrackersContent = CreateFrame("Frame", "MHTrackersContent", MHTrackersScrollFrame)
MHTrackersContent:SetPoint("CENTER")
MHTrackersContent:SetWidth(580)
MHTrackersContent:SetHeight(4000)
MHTrackersScrollFrame:SetScrollChild(MHTrackersContent)

MHTrackersScroll = CreateFrame("Slider", "MHTrackersScroll", MHTrackersScrollFrame, "UIPanelScrollBarTemplate")
MHTrackersScroll:CreateTexture("$parentBG")
MHTrackersScrollBG:SetWidth(16)
MHTrackersScrollBG:SetHeight(445)
MHTrackersScrollBG:SetPoint("CENTER", -0.5, 0)
MHTrackersScrollBG:SetTexture(0.2, 0.2, 0.2, 0.5)
MHTrackersScroll:SetOrientation("VERTICAL")
MHTrackersScroll:SetWidth(20)
MHTrackersScroll:SetHeight(450)
MHTrackersScroll:SetPoint("RIGHT", MonkHelper.trackers, "RIGHT", -5, 0)
MHTrackersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHTrackersScroll:SetValueStep(20)
MHTrackersScroll:SetValue(0)
MHTrackersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHTrackersScroll:GetValue()
if delta > 0  then
MHTrackersScroll:SetValue(scroll - MHTrackersScroll:GetValueStep())
elseif delta < 0 then
MHTrackersScroll:SetValue(scroll + MHTrackersScroll:GetValueStep())
end
end)

x = 50
y = 0
local spacey, scaley = 60, 50

y = y - 20
CreateFrame("CheckButton", "MHStaggerTrackerShow", MHTrackersContent, "ChatConfigCheckButtonTemplate")
MHStaggerTrackerShow:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHStaggerTrackerShowText:SetText(L["STAGGER"].." "..L["TRACKER"])
MHStaggerTrackerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhstaggertracker)
MHStaggerTrackerShow:CreateTexture("$parentIcon")
MHStaggerTrackerShowIcon:SetTexture("Interface\\Icons\\priest_icon_chakra")
MHStaggerTrackerShowIcon:SetWidth(32)
MHStaggerTrackerShowIcon:SetHeight(32)
MHStaggerTrackerShowIcon:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x - 41, y + 4)

y = y - 20
CreateFrame("CheckButton", "MHStaggerTrackerNumberShow", MHTrackersContent, "ChatConfigCheckButtonTemplate")
MHStaggerTrackerNumberShow:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHStaggerTrackerNumberShowText:SetText(L["STAGGER_TRACKER_NUMBER"])
MHStaggerTrackerNumberShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggernumber)

y = y - 20
CreateFrame("CheckButton", "MHStaggerTrackerPercentShow", MHTrackersContent, "ChatConfigCheckButtonTemplate")
MHStaggerTrackerPercentShow:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHStaggerTrackerPercentShowText:SetText(L["STAGGER_TRACKER_PERCENT"])
MHStaggerTrackerPercentShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.staggerpercent)

y = y - scaley
CreateFrame("Slider","MHStaggerTrackerScale", MHTrackersContent)
MHStaggerTrackerScale:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHStaggerTrackerScale:SetWidth(300)
MHStaggerTrackerScale:SetHeight(20)
MHStaggerTrackerScale:SetOrientation("HORIZONTAL")
MHStaggerTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHStaggerTrackerScale:SetMinMaxValues(0.5,2)
MHStaggerTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHStaggerTrackerScale:SetScript("OnValueChanged", function (self, value) MHStaggerTrackerScaleValue:SetText(string.sub(value, 1, 4)) MHStaggerTracker:SetScale(value) end)
MHStaggerTrackerScaleHeader = MHTrackersContent:CreateFontString("MHStaggerTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MHStaggerTrackerScaleHeader:SetPoint("BOTTOMLEFT", MHStaggerTrackerScale, "TOPLEFT")
MHStaggerTrackerScaleHeader:SetText(L["SCALE"])
MHStaggerTrackerScaleValue = MHTrackersContent:CreateFontString("MHStaggerTrackerScaleValue", "OVERLAY", "GameFontNormal")
MHStaggerTrackerScaleValue:SetPoint("BOTTOMRIGHT", MHStaggerTrackerScale, "TOPRIGHT")
MHStaggerTrackerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhstaggertracker, 1, 4))
-----------------------------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MHDetoxTrackerShow", MHTrackersContent, "ChatConfigCheckButtonTemplate")
MHDetoxTrackerShow:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHDetoxTrackerShowText:SetText(L["DETOX"].." "..L["TRACKER"])
MHDetoxTrackerShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhdetoxtracker)
MHDetoxTrackerShowIcon = MHDetoxTrackerShow:CreateTexture("$parent_Icon")
MHDetoxTrackerShowIcon:SetTexture(GetSpellTexture(MHSpellID["MHDetoxTimer"]))
MHDetoxTrackerShowIcon:SetWidth(32)
MHDetoxTrackerShowIcon:SetHeight(32)
MHDetoxTrackerShowIcon:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x - 41, y + 4)
MHDetoxTrackerShow:SetScript("OnClick", function()
setunits = true
end)
MHDetoxTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["DETOX_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MHDetoxTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MHDetoxTrackerScale = CreateFrame("Slider", "MHDetoxTrackerScale", MHTrackersContent)
MHDetoxTrackerScale:SetPoint("TOPLEFT", MHTrackersContent, "TOPLEFT", x, y)
MHDetoxTrackerScale:SetWidth(300)
MHDetoxTrackerScale:SetHeight(20)
MHDetoxTrackerScale:SetOrientation("HORIZONTAL")
MHDetoxTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHDetoxTrackerScale:SetMinMaxValues(0.5,2)
MHDetoxTrackerScale:SetValue(0.5151)
MHDetoxTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHDetoxTrackerScale:SetScript("OnValueChanged", function (self, value) 
MHDetoxTrackerScaleValue:SetText(string.sub(value, 1, 4)) 
if UnitAffectingCombat("player") == false then 
MHDetoxTracker:SetScale(value)
else
MHsetdetoxtracker = true
end 
end)
MHDetoxTrackerScaleHeader = MHTrackersContent:CreateFontString("MHDetoxTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MHDetoxTrackerScaleHeader:SetPoint("BOTTOMLEFT", MHDetoxTrackerScale, "TOPLEFT")
MHDetoxTrackerScaleHeader:SetText(L["DETOX"].." "..L["TRACKER"].." "..L["SCALE"])
MHDetoxTrackerScaleValue = MHTrackersContent:CreateFontString("MHDetoxTrackerScaleValue", "OVERLAY", "GameFontNormal")
MHDetoxTrackerScaleValue:SetPoint("BOTTOMRIGHT", MHDetoxTrackerScale, "TOPRIGHT")
MHDetoxTrackerScaleValue:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhdetoxtracker, 1, 4))
--------------------------------------------------------------------------------
MonkHelper.trackers:Hide()
--------------------------------------------------------------------------------------------------------------
MHTrackersScroll:SetMinMaxValues(0, (abs(y)/60)*40)
MHTrackersScroll:SetValue(0)
--------------------------------------------------------------------------------------------

end


end