_, class = UnitClass("player")
if class == "MONK" then

local ADDON_NAME, namespace = ...
local L = namespace.L

MHparalysisdelay, MHparalysisduration, MHnewparalysisguid, MHparalysisguid, MHparalysisname, MHparalysisapplied, MHparalysisbroken = 0, 0, nil, nil, nil, false, false
MHparalysisculprit, MHparalysisspell, MHparalysisculpritspell, MHparalysisremove, MHparalysisbrokenevent = nil, nil, nil, false, nil

function MonkHelper_ParalysisOnUpdate(elapsed)

if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false and MHtimerbypass == 0 then

if MHparalysisdelay > 0 then
MHparalysisdelay = MHparalysisdelay - elapsed
if MHparalysisdelay <= 0 and MHparalysisapplied == true then
MHparalysisdelay = 0
end
end

if MHparalysisduration > 0 then
MonkHelper_Show(MHParalysisMonitor, MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysismonitor)
MHparalysisduration = MHparalysisduration - elapsed
MHParalysisMonitorBar:SetValue(MHparalysisduration)
if MHparalysisduration > 5 then
MHParalysisMonitorBarText:SetTextColor(1, 1, 1)
else
MHParalysisMonitorBarText:SetTextColor(1, 0, 0)
end
MHParalysisMonitorBarText:SetText(string.sub(MHparalysisduration, 1, 4))
if MHparalysisduration <= 0 then 
MHparalysisduration = 0
MHparalysisremove = true
MHParalysisMonitorBarText:SetText(0)
MHParalysisMonitorBar:SetValue(0)
MHParalysisMonitor:Hide()
end
end

if MHparalysisapplied == true and MHparalysisduration == 0 and MHparalysisremove == true then
MonkHelper_ParalysisCheck()
MHParalysisMonitor:Hide()
end

else
MHparalysisduration = 0
MHparalysisdelay = 0
MHparalysisremove = false
MHparalysisapplied = false
MHparalysisguid = nil
MHnewparalysisguid = nil
MHparalysisculprit = nil
MHparalysisculpritspell = nil
MHparalysisname = nil
MHparalysisbroken = false
MHparalysisspell = nil
MHparalysisbrokenevent = nil

end

end

function MonkHelper_ParalysisHandler(event, sguid, sname, tguid, tname, id, spellname)
MHparalysisspell = GetSpellInfo(id)
if tname == nil then tname = L["Unknown"] end
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid 

if event == "SPELL_AURA_APPLIED" and sguid == UnitGUID("player") then
if MHparalysisduration > 0 or MHnewparalysisguid ~= nil then -- Notifies of expiration if you sheep a mob when one is already sheeped, resulting in 
MonkHelper_ParalysisNotify("expired", MHparalysisname)   -- an application first and a expiration right after. Also hides the old timer until the new one is calculated.
MHParalysisMonitor:Hide()
MHparalysisduration = 0
end
MHnewparalysisguid = tguid
MHparalysisname = tname
MHparalysisapplied = true
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisapplynotification == true then
print(L["PARALYSIS_APPLIED_MESSAGE"].." "..MHparalysisname)
end
elseif event == "SPELL_AURA_REFRESH" and tguid == MHparalysisguid and sguid == UnitGUID("player") then
MHparalysisguid = nil
MHnewparalysisguid = tguid
MHparalysisname = tname
MHparalysisapplied = true
elseif event == "SPELL_AURA_REMOVED" and (tguid == MHparalysisguid or tguid == MHnewparalysisguid) and sguid == UnitGUID("player") then
if MHparalysisapplied == true then
if (MHnewparalysisguid == nil or MHnewparalysisguid == tguid) then
MHparalysisduration = 0
MHparalysisremove = true
MHparalysisdelay = 0.1
MHParalysisMonitor:Hide()
end
end
end

if MHnewparalysisguid ~= nil then
if UnitGUID("target") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("target")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("focus") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("focus")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("mouseover") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("mouseover")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena1") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena1", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("arena1")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena2") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena2", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("arena2")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena3") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena3", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("arena3")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena4") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena4", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("arena4")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("arena5") == MHnewparalysisguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("arena5", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("arena5")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

function MonkHelper_ParalysisCheck()

-- Conditionals for Paralysis removal 
if MHparalysisduration == 0 and MHparalysisapplied == true then
if MHparalysisbroken == true then -- Paralysis was broken either by damage or dispel
MHparalysisremove = false
MHparalysisdelay = 0
MHparalysisbroken = false
MHparalysisapplied = false
MHparalysisguid = nil
MHParalysisMonitor:Hide()
MonkHelper_ParalysisNotify("broken")
elseif MHparalysisdelay == 0 then -- Paralysis has expired on its own
MHparalysisremove = false
MHparalysisapplied = false
MHparalysisguid = nil
MHParalysisMonitor:Hide()
MonkHelper_ParalysisNotify("expired")
end
end

end

function MonkHelper_ParalysisNotify(result, oldparalysisname)
local announce
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisannounce == true and IsInGroup() then
announce = SendChatMessage
else
announce = print
end
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisremovenotification == true then
if result == "broken" then
CombatText_AddMessage(L["PARALYSIS_BROKEN_MESSAGE"].." "..MHparalysisculprit, CombatText_StandardScroll, 0, 1, 0.6, "sticky", nil)
if MHparalysisbrokenevent == "SWING_DAMAGE" then
announce(L["PARALYSIS_BROKEN_MESSAGE"].." "..MHparalysisculprit.." "..L["WITH"].." "..L["MELEE_SWING"])
elseif MHparalysisbrokenevent == "RANGE_DAMAGE" then
announce(L["PARALYSIS_BROKEN_MESSAGE"].." "..MHparalysisculprit.." "..L["WITH"].." "..L["AUTO_SHOT"])
elseif MHparalysisbrokenevent == "SPELL_DAMAGE" then
announce(L["PARALYSIS_BROKEN_MESSAGE"].." "..MHparalysisculprit.." "..L["WITH"].." "..MHparalysisculpritspell)
elseif MHparalysisbrokenevent == "SPELL_PERIODIC_DAMAGE" then
announce(L["PARALYSIS_BROKEN_MESSAGE"].." "..MHparalysisculprit.." "..L["WITH"].." "..MHparalysisculpritspell.." "..L["PERIODIC"])
end
elseif result == "expired" then
if oldparalysisname then
CombatText_AddMessage(L["PARALYSIS_EXPIRED_MESSAGE"].." "..oldparalysisname, CombatText_StandardScroll, 0, 1, 0.6, "sticky", nil)
announce(L["PARALYSIS_EXPIRED_MESSAGE"].." "..oldparalysisname)
else
CombatText_AddMessage(L["PARALYSIS_EXPIRED_MESSAGE"].." "..MHparalysisname, CombatText_StandardScroll, 0, 1, 0.6, "sticky", nil)
announce(L["PARALYSIS_EXPIRED_MESSAGE"].." "..MHparalysisname)
end
end
end
if MonkHelper_Profiles[MonkHelper_ActiveProfile].options.sound.paralysis == true then
PlaySoundFile("Interface\\AddOns\\MonkHelper\\Sounds\\paralysis.mp3", "MASTER")
end
MHparalysisculprit = nil
MHparalysisculpritspell = nil
end

function MonkHelper_CreateParalysisMonitorUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

--Create Paralysis Monitor------------------------------------
CreateFrame("Frame", "MHParalysisMonitor", UIParent)
MHParalysisMonitor:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MHtimerbypass == 0 and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor == true then

if event == "PLAYER_TARGET_CHANGED" then
if MHnewparalysisguid ~= nil and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false then
if UnitGUID("target") == MHnewparalysisguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("target")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "PLAYER_FOCUS_CHANGED" then
if MHnewparalysisguid ~= nil and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false then
if UnitGUID("focus") == MHnewparalysisguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("focus")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "UPDATE_MOUSEOVER_UNIT" then
if MHnewparalysisguid ~= nil and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false then
if UnitGUID("mouseover") == MHnewparalysisguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", GetSpellInfo(MHparalysisspell))
if unitcaster == "player" then
name = UnitName("mouseover")
MHparalysisguid = MHnewparalysisguid
MHnewparalysisguid = nil
MHparalysisduration = expirationtime - GetTime()
MHParalysisMonitorIcon:SetTexture(icon)
MHParalysisMonitorText:SetText(name)
MHParalysisMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if MHAuraEvents[arg2] then
if arg12 == 115078 and arg4 == UnitGUID("player") and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false then
MonkHelper_ParalysisHandler(arg2, arg4, arg5, arg8, arg9, arg12, arg13)
end
end

if MHDamageEvents[arg2] and (arg8 == MHparalysisguid or arg8 == MHnewparalysisguid) and MHparalysisapplied == true and MHparalysisbroken == false and MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor ~= false then
MHparalysisbrokenevent = arg2
MHparalysisbroken = true
MHparalysisduration = 0
MHparalysisremove = true
if arg5 == nil then arg5 = L["Unknown"] end
if arg13 == nil then arg13 = L["Unknown"] end
MHparalysisculprit = arg5
MHparalysisculpritspell = GetSpellLink(arg12)
end

end

end
end)

MHParalysisMonitor:RegisterEvent("PLAYER_TARGET_CHANGED")
MHParalysisMonitor:RegisterEvent("PLAYER_FOCUS_CHANGED")
MHParalysisMonitor:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
MHParalysisMonitor:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MHParalysisMonitor:SetPoint("CENTER", UIParent, "CENTER", 0, -80)
MHParalysisMonitor:SetWidth(126)
MHParalysisMonitor:SetHeight(31.5)
MHParalysisMonitor:CreateTexture("MHParalysisMonitorIcon")
MHParalysisMonitorIcon:SetWidth(28)
MHParalysisMonitorIcon:SetHeight(28)
MHParalysisMonitorIcon:SetPoint("LEFT", MHParalysisMonitor, "LEFT", 1.5, 0)
MHParalysisMonitorIcon:SetTexture(GetSpellTexture(115078))
MHParalysisMonitor:CreateFontString("MHParalysisMonitorText", "OVERLAY", "GameFontNormal")
MHParalysisMonitorText:SetWidth(MHParalysisMonitor:GetWidth() - MHParalysisMonitorIcon:GetWidth() - 6)
MHParalysisMonitorText:SetHeight(7)
MHParalysisMonitorText:SetJustifyH("LEFT")
MHParalysisMonitorText:SetPoint("TOPLEFT", MHParalysisMonitorIcon, "TOPRIGHT", 3, -3)
MHParalysisMonitorText:SetTextHeight(10)
MHParalysisMonitor:CreateTexture("MHParalysisMonitorBG", "BACKGROUND")
MHParalysisMonitorBG:SetAllPoints()
MHParalysisMonitorBG:SetTexture(0, 0, 0, 0.8)
CreateFrame("StatusBar", "MHParalysisMonitorBar", MHParalysisMonitor)
MHParalysisMonitorBar:SetWidth(MHParalysisMonitorBG:GetWidth() - MHParalysisMonitorIcon:GetWidth() - 2)
MHParalysisMonitorBar:SetHeight(10)
MHParalysisMonitorBar:SetPoint("BOTTOMLEFT", MHParalysisMonitorIcon, "BOTTOMRIGHT", 0, 1)
MHParalysisMonitorBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MHParalysisMonitorBar:SetStatusBarColor(0, 1, 0.6)
MHParalysisMonitorBar:CreateFontString("MHParalysisMonitorBarText", "OVERLAY", "GameFontNormal")
MHParalysisMonitorBarText:SetPoint("CENTER", MHParalysisMonitorBar, "CENTER", 0, -0.5)
MHParalysisMonitorBarText:SetTextColor(1, 1, 1)
MHParalysisMonitorBarText:SetTextHeight(11)
MHParalysisMonitor:Hide()

-- Finish Setting Up Frames --
MonkHelper_SetupFrame(MHParalysisMonitor)
end

function MonkHelper_CreateParalysisMonitorOptionsMenu()
local x, y, xoff, yoff = 0, 0, 15, -20
-- Paralysis Monitor --------------------------------------------------
MonkHelper.pmonitor = CreateFrame("Frame", "MHParalysisMonitorOptions", MHOptionsFrame)
MonkHelper.pmonitor:SetWidth(625)
MonkHelper.pmonitor:SetHeight(570)
MonkHelper.pmonitor:SetPoint("LEFT", MHOptionsFrameButtons, "RIGHT", 5, 0)
MonkHelper.pmonitor.name = L["PARALYSIS_MONITOR"]

------------------------------------------------------------------------
y = 0
y = y + yoff
MHEnableParalysisMonitor = CreateFrame("CheckButton", "MHEnableParalysisMonitor", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHEnableParalysisMonitor:SetPoint("TOPLEFT", 15, y)
MHEnableParalysisMonitorText:SetText(L["ENABLE_PARALYSIS_MONITOR"])
MHEnableParalysisMonitor:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.enableparalysismonitor)
------------------------------------------------------------------------
y = y + yoff
MHParalysisMonitorShow = CreateFrame("CheckButton", "MHParalysisMonitorShow", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHParalysisMonitorShow:SetPoint("TOPLEFT", 15, y)
MHParalysisMonitorShowText:SetText(L["SHOW_PARALYSIS_TIMER"])
MHParalysisMonitorShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.mhparalysismonitor)
------------------------------------------------------------------------
y = y + yoff
MHParalysisApplyNotificationShow = CreateFrame("CheckButton", "MHParalysisApplyNotificationShow", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHParalysisApplyNotificationShow:SetPoint("TOPLEFT", 15, y)
MHParalysisApplyNotificationShowText:SetText(L["PARALYSIS_APPLY_SHOW"])
MHParalysisApplyNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisapplynotification)
------------------------------------------------------------------------
y = y + yoff
MHParalysisRemoveNotificationShow = CreateFrame("CheckButton", "MHParalysisRemoveNotificationShow", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHParalysisRemoveNotificationShow:SetPoint("TOPLEFT", 15, y)
MHParalysisRemoveNotificationShowText:SetText(L["PARALYSIS_REMOVE_SHOW"])
MHParalysisRemoveNotificationShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisremovenotification)
------------------------------------------------------------------------
y = y + yoff
MHParalysisAnnounceShow = CreateFrame("CheckButton", "MHParalysisAnnounceShow", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHParalysisAnnounceShow:SetPoint("TOPLEFT", 15, y)
MHParalysisAnnounceShowText:SetText(L["PARALYSIS_ANNOUNCE_SHOW"])
MHParalysisAnnounceShow:SetChecked(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.show.paralysisannounce)
------------------------------------------------------------------------
y = y - 20
MHParalysisSound = CreateFrame("CheckButton", "MHParalysisSound", MonkHelper.pmonitor, "ChatConfigCheckButtonTemplate")
MHParalysisSound:SetPoint("TOPLEFT", MonkHelper.pmonitor, "TOPLEFT", 15, y)
MHParalysisSoundText:SetText(L["ENABLE_SOUND_EFFECT"])
MHParalysisSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MHParalysisSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y + (yoff * 2)
CreateFrame("Slider","MHParalysisMonitorScale", MonkHelper.pmonitor)
MHParalysisMonitorScale:SetPoint("TOPLEFT", 15, y)
MHParalysisMonitorScale:SetWidth(600)
MHParalysisMonitorScale:SetHeight(20)
MHParalysisMonitorScale:SetOrientation("HORIZONTAL")
MHParalysisMonitorScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHParalysisMonitorScale:SetMinMaxValues(0.5,5)
MHParalysisMonitorScale:SetValue(0.5151)
MHParalysisMonitorScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHParalysisMonitorScale:SetScript("OnValueChanged", function (self, value) MHParalysisMonitorScaleText:SetText(string.sub(value, 1, 4)) MHParalysisMonitor:SetScale(value) end)
MonkHelper.pmonitor:CreateFontString("MHParalysisMonitorScaleHeader", "OVERLAY", "GameFontNormal")
MHParalysisMonitorScaleHeader:SetPoint("BOTTOMLEFT", MHParalysisMonitorScale, "TOPLEFT")
MHParalysisMonitorScaleHeader:SetText(L["SCALE"])
MonkHelper.pmonitor:CreateFontString("MHParalysisMonitorScaleText", "OVERLAY", "GameFontNormal")
MHParalysisMonitorScaleText:SetPoint("BOTTOMRIGHT", MHParalysisMonitorScale, "TOPRIGHT")
MHParalysisMonitorScaleText:SetText(string.sub(MonkHelper_Profiles[MonkHelper_ActiveProfile].options.scale.mhparalysismonitor, 1, 4))

MonkHelper.pmonitor:Hide()
-----------------------------------------------------------------------
end


end